instead_version "1.9.1"
require "xact"
require "hideinv"
--require "para"
require "dash"
require "quotes" 
require "theme" 
require "timer" 
game.codepage="UTF-8";
stead.scene_delim = '^';

game.act = function() curloc().lasttext = 'Nothing happens.'; p(curloc().lasttext); curloc().wastext = true; end;
game.inv = function() curloc().lasttext = 'Hm... This is strange thing...'; p(curloc().lasttext); curloc().wastext = true; end;
game.use = function() curloc().lasttext = 'Does not work...'; p(curloc().lasttext); curloc().wastext = true; end;
game.forcedsc = true;

global {
    _lists = {};
    _clones = {};
    _filter = {};
    _curloc = nil;
    push = function(listname, v)
        local list = _lists[listname];
        _lists[listname] = {next = list, value = v};
    end;
    pushObjs = function(listname, v)
        for k,vv in stead.opairs(objs(v)) do
            local o = stead.ref(vv);
            if (isObject(o)) then
                push(listname, o);
            end;
        end;
    end;
    pop = function(listname)
        local list = _lists[listname];
        if list == nil then
            return nil;
        else
            _lists[listname] = list.next;
            return list.value;
        end;
    end;
    inject = function(listname, v)
        local list = _lists[listname];
        if list == nil then
            _lists[listname] = {next = nil, value = v};
        else
            while list.next ~= nil do
                list = list.next
            end;
            list.next = {next = nil, value = v};
        end;
    end;
    eject = function(listname)
        local list = _lists[listname];
        local prevlist = list;
        if list == nil then
            return nil;
        else
            while list.next ~= nil do
                prevlist = list
                list = list.next
            end;
            prevlist.next = nil;
            return list.value;
        end;
    end;
    rmv = function(listname, v)
        local list = _lists[listname];
        local val;
        local prevlist = nil;
        while list ~= nil do
            val = list.value;
            if (val.nlbid == v.nlbid) then
                if (prevlist == nil) then
                    _lists[listname] = list.next;
                    return;
                else
                    prevlist.next = list.next
                    return;
                end;
            end;
            prevlist = list;
            list = list.next;
        end;
    end;
    size = function(listname)
        local list = _lists[listname];
        local result = 0;
        if list == nil then
            return 0;
        else
            repeat
                list = list.next;
                result = result + 1;
            until list == nil;
        end;
        return result;
    end;
    shuffle = function(listname)
        local arr = toArray(_lists[listname]);
        _lists[listname] = nil;
        addArr(listname, shuffled(arr));
    end;
    addAll = function(s, destination, destinationList, listName, unique)
        local loclist = _lists[listName];
        if loclist == nil then
            return;
        else
            repeat
                if destination ~= nil then
                    addf(destination, loclist.value, unique);
                elseif destinationList ~= nil then
                    push(destinationList, loclist.value);
                else
                    addf(s, loclist.value, unique);
                end;
                loclist = loclist.next;
            until loclist == nil;
        end;
    end;
    shuffled = function(tab)
        local n, order, res = #tab, {}, {};
        for i=1,n do order[i] = { rand = rnd(n), idx = i } end;
        table.sort(order, function(a,b) return a.rand < b.rand end);
        for i=1,n do res[i] = tab[order[i].idx] end;
        return res;
    end;
    toArray = function(list)
        local res = {}
        local loclist = list;
        local i = 1;
        if loclist == nil then
            return nil;
        else
            repeat
                res[i] = loclist.value;
                loclist = loclist.next;
                i = i + 1;
            until loclist == nil;
        end;
        return res;
    end;
    addArr = function(listname, arr)
        local n = #arr
        for i=1,n do push(listname, arr[i]) end;
    end;
    usea = function(actionObject, targetObject)
        if actionObject ~= nil and targetObject ~= nil then
            if actionObject.usea ~= nil then
                actionObject.usea(actionObject, targetObject);
            end;
        end;
    end;
    acta = function(object)
        if object ~= nil then
            if object.acta ~= nil then
                object.acta(object);
            end;
        end;
    end;
    actf = function(object)
        if object ~= nil then
            if object.actf ~= nil then
                object.actf(object);
            end;
        end;
    end;
    clear = function(object)
        if object ~= nil then
            if object.clear ~= nil then
                object.clear(object);
            end;
        end;
    end;
    addf = function(target, object, unique)
        if target == nil then
            if not have(object) then
                take(object);
            elseif not unique then
                take(clone(object));
            end;
        else
            local ores = nil;
            if not exist(object, target) then
                ores = object;
            elseif not unique then
                ores = clone(object);
            end;
            if ores ~= nil then
                ores.container = function() return target; end;
                objs(target):add(ores);
            end;
        end;
    end;
    clrcntnr = function(coll)
        -- TODO: add implementation (set container to nil func for every obj from coll)
    end;
    revive = function()
        for k,v in pairs(_filter) do
            if v then
                local o = stead.ref(k);
                o.revive(o);
            end;
        end;
    end;
    deepcopy = function(t)
        local k; local v;
        if type(t) ~= "table" then return t end;
        local mt = getmetatable(t);
        local res = {};
        for k,v in pairs(t) do
            if type(v) == "table" and k ~= "container" then
                v = deepcopy(v)
            end;
            res[k] = v;
        end;
        setmetatable(res,mt);
        return res;
    end;
    clone = function(s)
        if s.nlbobj == "listobj" then
            return clonefd(s);
        else
            return new('clonef(\''..stead.deref(s)..'\')');
        end;
    end;
    clonef = function(s_nam)
        local s = stead.ref(s_nam);
        return clonefd(s);
    end;
    clonefd = function(s)
        local ret = deepcopy(s);
        local r = _clones[s.nam];
        if r == nil then
            r = 1;
        else
            r = r + 1;
        end;
        _clones[s.nam] = r;
        ret.nam = s.nam..r;
        return ret;
    end;
    curloc = function()
        if _curloc == nil then
            return here();
        else
            return _curloc;
        end;
    end;
    nlbwalk = function(s, loc)
        if (s ~= loc) then
            _curloc = loc;
            walk(loc);
            if _curloc.wastext then loc.wastext = true; end;
        else
            local lasttext = s.lasttext;
            local wastext = s.wastext;
            if s.exit ~= nil then
                s.exit(s, s);
            end
            if s.enter ~= nil then
                s.enter(s, s);
            end
            s.wastext = wastext;
            s.lasttext = lasttext;
        end
    end;
}
listobj = {
    nam = "listobj",
    nlbobj = "listobj",
    listnam = "",
    clear = function(s)
        _lists[s.listnam] = nil;
    end,
    act = function(s)
        s.acta(s)
        local loc = curloc();
        loc.autos(loc);
    end,
    acta = function(s)
        s.actf(s)
    end,
    actf = function(s)
        local list = _lists[s.listnam];
        if list ~= nil then
            repeat
                list.value.acta(list.value);
                list = list.next;
            until list == nil;
        end;
    end,
    use = function(s, w)
        s.usea(s, w, w);
        local loc = curloc();
        loc.autos(loc);
    end,
    usea = function(s, w, ww)
        s.usef(s, w, ww);
    end,
    usef = function(s, w, ww)
        local list = _lists[s.listnam];
        if list ~= nil then
            repeat
                list.value.usea(list.value, w, ww);
                list = list.next;
            until list == nil;
        end;
    end,
    used = function(s, w)
        s.useda(s, w);
        local loc = curloc();
        loc.autos(loc);
    end,
    useda = function(s, w)
        s.usedf(s, w);
    end,
    usedf = function(s, w)
        local list = _lists[s.listnam];
        if list ~= nil then
            repeat
                w.usea(w, list.value, list.value);
                list = list.next;
            until list == nil;
        end;
    end;
}
-- infoObj
v_766dc293_6fcf_421e_8b99_ef09b92a98b2 = stat {
    var { tag = ''; container = function() return nil; end; nlbid = '766dc293-6fcf-421e-8b99-ef09b92a98b2'; },
    nam = "infoObj",
    snd = function(s) 
    end,
    disp = function(s) return "Wolfiness: "..tostring(_wolfiness).."    HP: "..tostring(_hp); end,
    dscf = function(s) end,
    dsc = function(s) p(s.dscf(s)); end,
    act = function(s)
        s.acta(s);
        local loc = curloc();
        loc.autos(loc);
    end,
    actt = function(s)
        return "";
    end,
    acta = function(s)
        s.actf(s);
        s.actcmn(s);
    end,
    actf = function(s)
    end,
    used = function(s, w)
    end,
    actcmn = function(s)
    end,
};

_infoObj = v_766dc293_6fcf_421e_8b99_ef09b92a98b2
-- 
main = room { nam = "main", enter = function(s) take(_infoObj); nlbwalk(s, v_7); end }

-- ++
v_2 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You were running down the night streets as fast as you could, and soon the many-storied buildings gave way to small private houses. You found a broken half-ruined shack and decided to wait there for dawn. You curled yourself up into a ball and fell asleep. The morning chill woke you up at the crack of dawn. You snuck into the neighboring courtyard and took a shirt and a pair of trousers off their clothesline. You quickly got dressed and headed towards the highway. You felt like yourself again, with the exception of feeling heavy remorse about the pathologist. But the most important question was what or who made you turn into a wolf. You was absolutely sure that no animal bit or even scratched you. You were confused. As ill luck would have it, there were no cars on the road when you badly needed to get home. Moreover, you were hungry again. You saw a bar for truck drivers behind the trees, and decided to go there.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_f12451f7_6419_4026_b371_bc064e09b725|Next}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_2_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/smiling_cynic_-_beat_me.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_f12451f7_6419_4026_b371_bc064e09b725',
            function(s) 
                --Next
                nlbwalk(s, v_12); 
            end
        ),

    },
};

-- ++
v_3 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You calmed down and looked over yourself one more time. You looked like an ordinary wolf, just a little larger. It\'s unlikely that your pursuers would tell the difference in the dark. You just hoped that you left no tracks by the enclosure, and that they wouldn’t have hounds to sniff you out.^"..
"Suddenly your attention was drawn to a cell phone hanging around your neck. You hastily tore it off and hid it in the grass. Just in time!^"..
"You heard voices in the alley. Flashlight beams were sliding over the roads, enclosures, and grass. Soon three men came up to the enclosure you were in. You recognized one of them. The old man was Olaf, the zoo watchman, and two armed policemen were with him.^"..
"\"Are you sure that everything is normal, old man?\" harshly asked one of the cops. \"Are your animals all here?\" They lit the enclosure with the beams. It lit up the pack and you.^"..
"Olaf reluctantly looked inside the enclosure.^"..
"\"Yes, everything is fine. The animals would alert me if something was wrong. They are much smarter than you assholes.\"^"..
"The police officer just hemmed.^"..
"\"Fine, Swen, let\'s get out of here. It looks like everything is ok.\"^"..
"The officers turned around and went off. Olaf continued to look at the wolves for some time and then he also left.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_4ddd5cd9_d3e2_4107_a610_10fc2a595ee3|Next}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_3_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_4ddd5cd9_d3e2_4107_a610_10fc2a595ee3',
            function(s) 
                --Next
                nlbwalk(s, v_2); 
            end
        ),

    },
};

-- ++
v_4 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You bared your teeth and slowly began to rise up from the table. That was enough to make the pathologist rush out of the room, wildly screaming. You turned into the beast again. Acute hunger was torturing you and so you pounced on the corpse lying on the next table. After a quick bloody meal, you hurried to leave the building. Now your stomach was full, but the wound hurt a little bit.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_0cb9c0eb_d92e_4632_86e5_e27b5809b0fd|Next}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_4_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_0cb9c0eb_d92e_4632_86e5_e27b5809b0fd',
            function(s) 
                --Next
                nlbwalk(s, v_2); 
            end
        ),

    },
};

-- ++
v_5 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You woke up because of the bright light that was coming even through your closed eyelids.  You were lying on something hard and cold. When you partially opened your eyes, you saw a man wearing a medical mask. He tried to take the cell phone off your neck. When he noticed that you were looking at him, the pathologist shuddered and began to move back with his eyes bugged open.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_ba3735f7_403c_429f_8934_af62231d8565|Eat the pathologist}^");
        p("{v_36d93e4f_19f9_489d_94a4_7fc5ba630d7a|Eat the corpse}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_5_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_ba3735f7_403c_429f_8934_af62231d8565',
            function(s) 
                --Eat the pathologist
                nlbwalk(s, v_6); 
            end
        ),
        xact(
            'v_36d93e4f_19f9_489d_94a4_7fc5ba630d7a',
            function(s) 
                --Eat the corpse
                nlbwalk(s, v_4); 
            end
        ),

    },
};

-- ++
v_6 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("When you sensed a panicked terror coming from the pathologist, you felt blood raging in your veins and your stomach began to rumble. You suddenly burst into your beastly fur and muscle once again and caught the medical worker in the corridor. You attacked him from behind, pinning him down and biting through his throat in a blink of an eye. There wasn\'t much time. Half of the building must have heard his screams. After swallowing a few pieces of meat, you felt your strength quickly returning. On your way out, you scared a cleaning woman half to death, and finally left the building. Soon the pain abated. You was astonished to find out that your bullet wound had closed.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_b1b343df_83f3_4732_a51d_b0be6e0d1164|Next}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_6_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_wolfiness = _wolfiness + 1;
_hp = _hp + 1;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_b1b343df_83f3_4732_a51d_b0be6e0d1164',
            function(s) 
                --Next
                nlbwalk(s, v_2); 
            end
        ),

    },
};

-- ++
v_7 = room {
    nam = "...",
    bgimg = function(s)
        if (true) then
            theme.gfx.bg('images/forest.png');
        end
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You woke up lying on the pavement. The full moon had already shown up from behind the roof and was shining brightly in your face. Not a single soul was around.^"..
"‘Weird, how long have I been lying here? Nobody even called an ambulance,’ you thought to yourself, slowly walking along the street. In the distance you heard the sound of sirens. You turned round the corner and faced a group of people.^"..
"\"Wolf! Wolf!\" someone screamed. People rushed in all directions. Saving yourself from the beast, you ran together with them. You looked back a couple of times, full of fright, expecting to see an open toothy mouth, but there was nothing behind you. Finally you decided to separate yourself from the mad group and turned into an alleyway and hid behind a garbage can. You carefully looked from behind the cover and saw two policemen. They were walking right towards you.^"..
"‘The wolf really is here, then!’ you thought to yourself, growing cold with fear.  You nervously began to look around. Suddenly you saw something dark and hairy by the opposite wall. Your heart thumped loudly and your ears were ringing in fear. The next moment, in spite of the panic clutching at your chest, you made a frightening discovery: on the opposite wall you were looking into a mirror that someone had thrown away. The reflection in it was yours!^"..
"\"I\'m a monster!\" you screamed with despair. But the police officers heard only a terrifying howling. It became clear that they were coming to kill you. You needed to run! But where? To the left and right there were houses. Behind them was a three meter concrete fence and a bunch of armed men in front of it.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_dedde941_43c9_46c6_89f9_799e86c17e08|Try to run through the police}^");
        p("{v_a9ba0ac9_1fcf_499c_a53c_6f41811649be|Jump over the fence}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_7_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_hp = 3;
_wolfiness = 0;
_guardDone =  false ;
_forestExit =  false ;
_barExit =  false ;
_wolvesTalk =  false ;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_dedde941_43c9_46c6_89f9_799e86c17e08',
            function(s) 
                --Try to run through the police
                nlbwalk(s, v_8); 
            end
        ),
        xact(
            'v_a9ba0ac9_1fcf_499c_a53c_6f41811649be',
            function(s) 
                --Jump over the fence
                nlbwalk(s, v_11); 
            end
        ),

    },
};

-- ++
v_8 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You decided to bet on the element of surprise and jumped out from the cover. You rushed away by long jumps. The police men held back because of the suddenness, but in a few seconds gunfire sounded. Suddenly, the moon disappeared behind the clouds. You were lucky that the street lights were out and pitch black darkness covered the neighborhood. You almost managed to reach a safe place, when suddenly one of the bullets hit you.  You squealed in agony, and after covering a few more yards, dropped on the spot.^"..
"\"We need to check it out. Everybody, come with me,\" ordered one of the policemen. Moving extremely cautiously and holding their guns ready to shoot, the cops approached the place you fell.^"..
"\"It\'s clear, guys! There is some naked redneck here. Maybe we hit him while were shooting at the beast? Call an ambulance.\"^"..
"\"Where did he come from?\"^"..
"\"I bet he visited somebody\'s wife and her husband came home early. So he jumped off the balcony.\"^"..
"\"What\'s there on his neck?\"^"..
"\"Looks like a cell phone.\"^"..
"\"Poor devil. If I were in his shoes, I\'d have grabbed my shorts.\"^"..
"The ambulance arrived quite fast. The doctors verified the death of the victim, then took the body and drove it to the morgue.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_b2100bc1_9ce4_4a3a_b147_0784afafb411|Next}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_8_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_hp = _hp - 1;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_b2100bc1_9ce4_4a3a_b147_0784afafb411',
            function(s) 
                --Next
                nlbwalk(s, v_5); 
            end
        ),

    },
};

-- ++
v_9 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Only now, looking at this trembling man, you felt a wild hunger, like it was burning you from within. Slowly, looking at the mugger, you began to approach him. The guy\'s nerves wavered, he dropped his knife and the stolen bag, and he ran screaming loudly. But you were faster. By a single quick bound, you jumped up to him and bit into his throat. Your prey\'s scream died on his lips and you began the horrible feast…");
    end,
    xdsc = function(s)
        p "^";
        p("{v_d3349871_a508_4395_b090_292ff7c9cccc|Next}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_9_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_wolfiness = _wolfiness + 1;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_d3349871_a508_4395_b090_292ff7c9cccc',
            function(s) 
                --Next
                nlbwalk(s, v_21); 
            end
        ),

    },
};

-- ++
v_10 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You bared your teeth and loudly roared, pretending that you were about to attack the mugger. It was enough. He threw the knife and even the bag and ran down the street. Soon he disappeared from your sight.^"..
"You came closer to the bag and caught the scent of groceries.  Bread, cheese, some vegetables... raw meat!^"..
"Only now you realized how hungry you were. You shook out the contents of the bag and greedily dug in the meat like a wild beast. Actually, you were a wild beast!");
    end,
    xdsc = function(s)
        p "^";
        p("{v_7b0086e0_4fca_4734_821f_85e383455811|Next}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_10_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_7b0086e0_4fca_4734_821f_85e383455811',
            function(s) 
                --Next
                nlbwalk(s, v_21); 
            end
        ),

    },
};

-- ++
v_11 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("It was not the best idea to run towards the armed policemen. You turned your head back, and longingly looked at the fence. No man can jump that high.^"..
"But when you heard gunshots, your body began to move instinctually by itself. You took hard off the ground and rocketed into the air, landing on the other side of the fence. No time to waste before your pursuers would find a roundabout way, you ran through the narrow streets up hill and down dale, trying to get as far from there as possible.^"..
"Like a hairy whirlwind you ran into a side street and nearly bumped into a struggling couple. It appeared that another crime was in progress. A muscular skinny fellow wearing a mask and a leather jacket was quietly trying to snatch a bag from a woman. She was trying to fend him off. The sight of your appearance struck them like lightning. The woman’s eyes bugged out, she immediately released her bag, and she ran behind the corner, screaming.  The mugger stepped back to the wall, brandishing the knife in his fist.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_167bc539_44e2_41f0_83c9_78dee52b4602|Eat the mugger}^");
        p("{v_69073172_bc58_4080_90a2_b011140925f4|Scare the mugger off}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_11_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_167bc539_44e2_41f0_83c9_78dee52b4602',
            function(s) 
                --Eat the mugger
                nlbwalk(s, v_9); 
            end
        ),
        xact(
            'v_69073172_bc58_4080_90a2_b011140925f4',
            function(s) 
                --Scare the mugger off
                nlbwalk(s, v_10); 
            end
        ),

    },
};

-- 
v_12 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
    end,
    xdsc = function(s)
        p "^";
    end,
    autos = function(s)
        revive();
        if ((_barExit)) then                 nlbwalk(s, v_22); 
        return false;
 end;
        if (( not _barExit)) then                 nlbwalk(s, v_13); 
        return false;
 end;
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_12_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
};

-- ++
v_13 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You sat at a table and then with frustration remembered that you had no money. You absentmindedly checked the trousers’ pockets and found a wrinkled note. That should suffice for a cup of tea. Your privacy was interrupted by a bearded man in a checkered shirt who sat to your table.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _barExit)) and "{v_a545e711_3f71_479c_af09_31951724f310|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_13_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_a545e711_3f71_479c_af09_31951724f310',
            function(s) 
                --Next
                nlbwalk(s, v_15); 
            end
        ),

    },
};

-- ++
v_14 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("When you saw him you realized that you were very hungry.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _barExit)) and "{v_f39496db_aea7_4694_9937_b261503b7bdc|Eat the bearded man}^" or ""));
        p(((( not _barExit)) and "{v_cb8d4efa_0386_4ceb_8e54_9b551048d9af|Steal some food from the kitchen}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_14_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_f39496db_aea7_4694_9937_b261503b7bdc',
            function(s) 
                --Eat the bearded man
                nlbwalk(s, v_17); 
            end
        ),
        xact(
            'v_cb8d4efa_0386_4ceb_8e54_9b551048d9af',
            function(s) 
                --Steal some food from the kitchen
                nlbwalk(s, v_16); 
            end
        ),

    },
};

-- ++
v_15 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("\"Good morning to you!\" said the man.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (( not _barExit) and (_wolfiness > 0))) and "{v_87617125_615e_406b_af09_07ee6bff42a8|Next}^" or ""));
        p((((_wolfiness ~= nil) and (( not _barExit) and (_wolfiness <= 0))) and "{v_92f84130_18ae_4133_a917_3e29fa6215c2|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_15_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_87617125_615e_406b_af09_07ee6bff42a8',
            function(s) 
                --Next
                nlbwalk(s, v_20); 
            end
        ),
        xact(
            'v_92f84130_18ae_4133_a917_3e29fa6215c2',
            function(s) 
                --Next
                nlbwalk(s, v_18); 
            end
        ),

    },
};

-- ++
v_16 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You managed to pull yourself together. Like a shadow you prowled to the premises, where delicious food scents were coming from. This happened to be a kitchen. Fortunately there was nobody in. You easily jumped through the open window and ate a large piece of meat that the cook had left to defrost.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _barExit)) and "{v_4c97b13a_c094_4bed_949f_820da1e77ac5|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_16_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_4c97b13a_c094_4bed_949f_820da1e77ac5',
            function(s) 
                --Next
                nlbwalk(s, v_19); 
            end
        ),

    },
};

-- ++
v_17 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("The bearded man turned to face the wall and stood still, probably taking a leak. You silently sneaked up on him and waited until he turned around. Then you jumped on the tea lover\'s chest and bit him to death before he could even squeak.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _barExit)) and "{v_340cf9f7_246d_44f0_91aa_2a9ea07f7d77|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_17_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_wolfiness = _wolfiness + 1;
_hp = _hp + 1;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_340cf9f7_246d_44f0_91aa_2a9ea07f7d77',
            function(s) 
                --Next
                nlbwalk(s, v_19); 
            end
        ),

    },
};

-- ++
v_18 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("\"Hello,\" you replied.^"..
"\"May I sit?\"^"..
"\"Yes, please.”^"..
"There were plenty of vacant tables, so you concluded that the man wanted to talk. But you needed some privacy to think over the situation you were in. In the meantime the waitress brought your tea. You drank it down in almost one gulp and hurried to leave the table because a great idea to read about werewolves on the internet had suddenly come to your mind. You went outside the bar and took the cell phone off your neck.  This is what you managed to find: a person can become a werewolf not only after a bite. If one puts a wolf pelt on one’s back and reads a certain spell, he can become a werewolf. A werewolf is a very strong and sly creature. The best way to defeat it is to drive a hawthorn stake through its body.^"..
"You recollected that a few days ago you visited the country home of an acquaintance of yours. And you actually tried a wolf pelt on there…^"..
"You decided to take rest in the neighboring grove and in the evening go visit the scoundrel who had put a spell on you.  You hid in the shrubs and fell asleep, lulled by the peaceful buzzing of bees. When your dreams released you, it was already dark. You were starving. You left your shelter and noticed the philosopher leave the bar.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _barExit)) and "{v_d2f008b5_ccf8_4bc6_9238_2af33f005ed5|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_18_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_d2f008b5_ccf8_4bc6_9238_2af33f005ed5',
            function(s) 
                --Next
                nlbwalk(s, v_14); 
            end
        ),

    },
};

-- ++
v_19 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("After you’d gorged yourself on the lavish meal, you jogged to the house of your enemy, trying to keep closer to the cover of the trees.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_e40f707a_3934_43b4_b302_9ea6b4461531_34e50ebc_ea2b_4714_81a1_ae8fca22c399_Return|Next}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_19_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_barExit = true;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_e40f707a_3934_43b4_b302_9ea6b4461531_34e50ebc_ea2b_4714_81a1_ae8fca22c399_Return',
            function(s) 
                --Next
                nlbwalk(s, v_12); 
            end
        ),

    },
};

-- ++
v_20 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You didn\'t want to talk. You unwillingly nodded in response with a dissatisfied grimace on your face.^"..
"\"Had a rough morning?\" the bearded man kept asking.^"..
"\"Hell yeah,\" you snapped.^"..
"\"Splendid!\" cried the man, \"you are a typical werewolf.\"^"..
"\"What?\" you didn\'t understand.^"..
"\"You see, I didn\'t work as a truck driver my whole life. Actually, I\'m a philosopher. But living on a teacher\'s salary...,\" he sighed, \"anyway, so seeing you, I somehow remembered a mythical creature. A werewolf.\"^"..
"\"Nobody bit me,\" you said, though you weren’t sure why.^"..
"\"That is not necessary to become one!\" said the man, happy to find you finally opening up to conversation.^"..
"You were all ears.^"..
"\"It is enough just to put a wolf pelt on, pronounce a spell, and the job is done.\"^"..
"A waitress brought some tea, but you were deep in thought. You recollected that a few days ago you visited the country home of an acquaintance of yours. And you actually tried a wolf pelt on there...^"..
"\"And the most interesting part,\" the philosopher continued, \"the best way to kill such a werewolf is to drive a hawthorn stake into him. I see you don\'t want your tea. I\'ll drink it while it\'s warm.\" After those words the man took the glass and took a large gulp before you could stop him.^"..
"\"Ah-h, wonderful. You should have drunk the tea, it\'s very good.\" You turned purple with rage, stood up and nearly ran out of the bar, trying not to hear what your new acquaintance was saying behind your back. You decided to take rest in the neighboring grove and in the evening go visit the scoundrel who had put a spell on you.  You hid in the shrubs and fell asleep, lulled by the peaceful buzzing of bees. When your dreams released you, it was already dark. You were starving. You left your shelter and noticed the philosopher leave the bar. Anger seized you like a whirlpool.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _barExit)) and "{v_179d0a83_813c_461c_8ae4_257bedeea33a|Eat the bearded man}^" or ""));
        p(((( not _barExit)) and "{v_fab7dbf7_e99d_44d0_80dc_a1ddc04088db|Steal some food from the kitchen}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_20_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_179d0a83_813c_461c_8ae4_257bedeea33a',
            function(s) 
                --Eat the bearded man
                nlbwalk(s, v_17); 
            end
        ),
        xact(
            'v_fab7dbf7_e99d_44d0_80dc_a1ddc04088db',
            function(s) 
                --Steal some food from the kitchen
                nlbwalk(s, v_16); 
            end
        ),

    },
};

-- ++
v_21 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You were running down the night streets and armed people loomed behind every corner. The wind in your ears seemed like bullets whizzing by.^"..
"But the most important question was what or who made you turn into a wolf. You was absolutely sure that no animal bit or even scratched you. You were confused.^"..
"Now there were fewer houses on the street. It looked like the edge of town. You clearly remembered that there were a zoo somewhere near with a wolf cage in it. Currently people were more dangerous to you than wolves, and a crazy idea came to your mind. What if you could lose your pursuers by hiding in the wolf pack at the zoo? At least you’d survive the night. What would happen next you tried not to think of.^"..
"It was easy to hop over the wolf enclosure fence, much easier than the concrete wall. The scared wolves huddled up, looking at you with their teeth bared. It appeared they felt that you were the wrong wolf to mess with, but seeing that you didn\'t intend to attack, eventually they calmed down and returned to their routine.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (_wolfiness > 0)) and "{v_99728ff5_bda0_47a1_9eec_886f276efee6|Next}^" or ""));
        p((((_wolfiness ~= nil) and (_wolfiness <= 0)) and "{v_d2e40de8_538d_44bc_a807_f5ffc53c7681|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_21_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/smiling_cynic_-_beat_me.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_99728ff5_bda0_47a1_9eec_886f276efee6',
            function(s) 
                --Next
                nlbwalk(s, v_59); 
            end
        ),
        xact(
            'v_d2e40de8_538d_44bc_a807_f5ffc53c7681',
            function(s) 
                --Next
                nlbwalk(s, v_3); 
            end
        ),

    },
};

-- 
v_22 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
    end,
    xdsc = function(s)
        p "^";
    end,
    autos = function(s)
        revive();
        if ((_forestExit)) then                 nlbwalk(s, v_36); 
        return false;
 end;
        if (( not _forestExit)) then                 nlbwalk(s, v_23); 
        return false;
 end;
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_22_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/cloudjumper_-_cloudjumper_-_a_full_mind.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
};

-- 
v_23 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
    end,
    xdsc = function(s)
        p "^";
        p(((( not _forestExit)) and "{v_93a2e5c6_177f_4c0d_8437_a6691403960b|Turn left}^" or ""));
        p(((( not _forestExit)) and "{v_8c641e8f_9d6b_4d0d_8551_1092f4fe3808|Turn right}^" or ""));
    end,
    autos = function(s)
        revive();
        if (true) then                 nlbwalk(s, v_24); 
        return false;
 end;
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_23_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_93a2e5c6_177f_4c0d_8437_a6691403960b',
            function(s) 
                --Turn left
                nlbwalk(s, v_30); 
            end
        ),
        xact(
            'v_8c641e8f_9d6b_4d0d_8551_1092f4fe3808',
            function(s) 
                --Turn right
                nlbwalk(s, v_32); 
            end
        ),

    },
};

-- ++
v_24 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("To take a shortcut you decided to go through the forest. Soon you noticed two paths. It would be more convenient to take one of the paths. But, which one to choose?");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (_wolfiness > 1)) and "{v_0ab9a14a_77a8_4e70_bd8a_a8aed3d0b51d|Next}^" or ""));
        p((((_wolfiness ~= nil) and (_wolfiness <= 1)) and "{v_98925442_a5d3_42df_8af0_61cbf4d132e6|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_24_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/cloudjumper_-_cloudjumper_-_a_full_mind.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_0ab9a14a_77a8_4e70_bd8a_a8aed3d0b51d',
            function(s) 
                --Next
                nlbwalk(s, v_25); 
            end
        ),
        xact(
            'v_98925442_a5d3_42df_8af0_61cbf4d132e6',
            function(s) 
                --Next
                nlbwalk(s, v_26); 
            end
        ),

    },
};

-- ++
v_25 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You sniffed the paths. Some new but very familiar smell lured you to the right.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_3792ac23_4da9_4539_a393_95780a98771a_67573c54_0976_4a54_a3c9_f70696f5feae_Return|Turn left}^");
        p("{v_3792ac23_4da9_4539_a393_95780a98771a_f293bb53_86f5_4600_ac29_3b60e8da760e_Return|Turn right}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_25_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_3792ac23_4da9_4539_a393_95780a98771a_67573c54_0976_4a54_a3c9_f70696f5feae_Return',
            function(s) 
                --Turn left
                nlbwalk(s, v_30); 
            end
        ),
        xact(
            'v_3792ac23_4da9_4539_a393_95780a98771a_f293bb53_86f5_4600_ac29_3b60e8da760e_Return',
            function(s) 
                --Turn right
                nlbwalk(s, v_32); 
            end
        ),

    },
};

-- ++
v_26 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You sniffed around. There were lots of different smells in the air.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_58180cad_f8db_42f7_a04a_994e1c56f991_67573c54_0976_4a54_a3c9_f70696f5feae_Return|Turn left}^");
        p("{v_58180cad_f8db_42f7_a04a_994e1c56f991_f293bb53_86f5_4600_ac29_3b60e8da760e_Return|Turn right}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_26_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_58180cad_f8db_42f7_a04a_994e1c56f991_67573c54_0976_4a54_a3c9_f70696f5feae_Return',
            function(s) 
                --Turn left
                nlbwalk(s, v_30); 
            end
        ),
        xact(
            'v_58180cad_f8db_42f7_a04a_994e1c56f991_f293bb53_86f5_4600_ac29_3b60e8da760e_Return',
            function(s) 
                --Turn right
                nlbwalk(s, v_32); 
            end
        ),

    },
};

-- ++
v_27 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Your animal senses told you that your enemy\'s house was close. You increased the pace.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_86893ac1_6506_4fdd_bbfc_8008d6ad6b31_5ce20904_0ac9_422b_b8c6_ad6dbc89d981_Return|Next}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_27_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_forestExit = true;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/smiling_cynic_-_beat_me.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_86893ac1_6506_4fdd_bbfc_8008d6ad6b31_5ce20904_0ac9_422b_b8c6_ad6dbc89d981_Return',
            function(s) 
                --Next
                nlbwalk(s, v_22); 
            end
        ),

    },
};

-- ++
v_28 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You decided to turn left. Suddenly you heard a slight rustle. Somebody was coming towards you. You hid in the shrubs and saw a late night traveler. He was walking along the path, fearfully looking around.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _forestExit)) and "{v_012bbd53_638b_4d2b_8021_95c1b0e5e1eb|Eat the traveler}^" or ""));
        p(((( not _forestExit)) and "{v_adf150b2_c8de_4dda_95ac_3ab56f281157|Spare the traveler}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_28_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_012bbd53_638b_4d2b_8021_95c1b0e5e1eb',
            function(s) 
                --Eat the traveler
                nlbwalk(s, v_31); 
            end
        ),
        xact(
            'v_adf150b2_c8de_4dda_95ac_3ab56f281157',
            function(s) 
                --Spare the traveler
                nlbwalk(s, v_29); 
            end
        ),

    },
};

-- ++
v_29 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You had no time to deal with him, so when he passed, you ran further.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _forestExit)) and "{v_519d5725_52fa_4360_b454_286d4ad8c526|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_29_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/smiling_cynic_-_beat_me.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_519d5725_52fa_4360_b454_286d4ad8c526',
            function(s) 
                --Next
                nlbwalk(s, v_27); 
            end
        ),

    },
};

-- ++
v_30 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You turned left. But after some time you faced another fork in the road.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _forestExit)) and "{v_97edec47_7e41_4e6d_886a_e3c29ddaaca4|Turn left}^" or ""));
        p(((( not _forestExit)) and "{v_2fd1636c_29c5_42dc_bf75_bac572830904|Turn right}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_30_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_97edec47_7e41_4e6d_886a_e3c29ddaaca4',
            function(s) 
                --Turn left
                nlbwalk(s, v_28); 
            end
        ),
        xact(
            'v_2fd1636c_29c5_42dc_bf75_bac572830904',
            function(s) 
                --Turn right
                nlbwalk(s, v_27); 
            end
        ),

    },
};

-- ++
v_31 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You had no beastly hunger, but it would be foolish to miss easy prey.  When the man unwittingly approached the ambush, you attacked him with lightning speed. Apparently the victim didn\'t even have the time to realize what was happening when you bit through his throat.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _forestExit)) and "{v_0dc1918b_4190_4d6d_b053_51444ec00a63|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_31_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_wolfiness = _wolfiness + 1;
_hp = _hp + 1;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_0dc1918b_4190_4d6d_b053_51444ec00a63',
            function(s) 
                --Next
                nlbwalk(s, v_27); 
            end
        ),

    },
};

-- 
v_32 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
    end,
    xdsc = function(s)
        p "^";
        p(((( not _forestExit)) and "{v_cc1a2ff4_84e8_4357_bbce_5dd14271a658|Turn left}^" or ""));
        p(((( not _forestExit)) and "{v_b9cfbc2f_51dd_4e99_8a84_190ef08eb1c0|Turn right}^" or ""));
    end,
    autos = function(s)
        revive();
        if (true) then                 nlbwalk(s, v_33); 
        return false;
 end;
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_32_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_cc1a2ff4_84e8_4357_bbce_5dd14271a658',
            function(s) 
                --Turn left
                nlbwalk(s, v_28); 
            end
        ),
        xact(
            'v_b9cfbc2f_51dd_4e99_8a84_190ef08eb1c0',
            function(s) 
                --Turn right
                nlbwalk(s, v_27); 
            end
        ),

    },
};

-- ++
v_33 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You turned right. It seemed that the forest became thicker.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (_wolfiness > 1)) and "{v_92a30ce3_11ff_4f69_9cbc_99379ea94a87|Next}^" or ""));
        p((((_wolfiness ~= nil) and (_wolfiness <= 1)) and "{v_8f110f38_809f_4cfa_85eb_03aa2d61e527|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_33_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/cloudjumper_-_cloudjumper_-_a_full_mind.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_92a30ce3_11ff_4f69_9cbc_99379ea94a87',
            function(s) 
                --Next
                nlbwalk(s, v_34); 
            end
        ),
        xact(
            'v_8f110f38_809f_4cfa_85eb_03aa2d61e527',
            function(s) 
                --Next
                nlbwalk(s, v_35); 
            end
        ),

    },
};

-- ++
v_34 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("The smell that lured you became stronger. There was obviously some rustling in the shrubs. You stopped, waiting for something to come through. Another wolf slowly went out of the shrubbery on the forest road, right in front of you. A she-wolf to be precise.^"..
"\"Who are you?\" you quickly asked.^"..
"\"I\'m a werewolf, just like you,\" she answered. \"After my transformation I hid myself here. So we live here all together now.\"^"..
"\"Are there many of you?!\" you asked in surprise.^"..
"\"No, just five. You can stay with us,\" she proposed.^"..
"It sounded quite tempting, but you wanted to know why you were enchanted, and to take your revenge.^"..
"\"I need to finish some business first,\" you said. \"But, maybe I\'ll be back.\"^"..
"After those words you ran off. Soon you faced one more fork in the road.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_4d0291af_49a6_42ab_ae94_4e039cb15072_f87e0749_c4b3_4a3f_878b_47964d1994ab_Return|Turn left}^");
        p("{v_4d0291af_49a6_42ab_ae94_4e039cb15072_86893ac1_6506_4fdd_bbfc_8008d6ad6b31_Return|Turn right}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_34_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_wolvesTalk = true;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_4d0291af_49a6_42ab_ae94_4e039cb15072_f87e0749_c4b3_4a3f_878b_47964d1994ab_Return',
            function(s) 
                --Turn left
                nlbwalk(s, v_28); 
            end
        ),
        xact(
            'v_4d0291af_49a6_42ab_ae94_4e039cb15072_86893ac1_6506_4fdd_bbfc_8008d6ad6b31_Return',
            function(s) 
                --Turn right
                nlbwalk(s, v_27); 
            end
        ),

    },
};

-- ++
v_35 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You could hear some rustling in the bushes and got a feeling of being watched. But you stubbornly continued to move to your current goal, paying no attention to any distractions. Soon you approached a fork in the road.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_a27840f3_04f2_4156_8854_1abf0061e0c9_f87e0749_c4b3_4a3f_878b_47964d1994ab_Return|Turn left}^");
        p("{v_a27840f3_04f2_4156_8854_1abf0061e0c9_86893ac1_6506_4fdd_bbfc_8008d6ad6b31_Return|Turn right}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_35_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_a27840f3_04f2_4156_8854_1abf0061e0c9_f87e0749_c4b3_4a3f_878b_47964d1994ab_Return',
            function(s) 
                --Turn left
                nlbwalk(s, v_28); 
            end
        ),
        xact(
            'v_a27840f3_04f2_4156_8854_1abf0061e0c9_86893ac1_6506_4fdd_bbfc_8008d6ad6b31_Return',
            function(s) 
                --Turn right
                nlbwalk(s, v_27); 
            end
        ),

    },
};

-- 
v_36 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
    end,
    xdsc = function(s)
        p "^";
    end,
    autos = function(s)
        revive();
        if ((_guardDone)) then                 nlbwalk(s, v_51); 
        return false;
 end;
        if (( not _guardDone)) then                 nlbwalk(s, v_37); 
        return false;
 end;
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_36_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
};

-- ++
v_37 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You finally approached your enemy\'s house. You recognized a heavyset, large mansion with a neglected garden that smoothly blended with the forest that you came from. Its cast-iron fence was all covered in twining plants, and the forest’s trees stood very close to it.^"..
"You slowly began to creep towards the entrance.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (( not _guardDone) and (_wolfiness > 1))) and "{v_8c4fc707_979b_4a9d_8c85_ab71dccdc67d|Next}^" or ""));
        p((((_wolfiness ~= nil) and (( not _guardDone) and (_wolfiness <= 1))) and "{v_8a389e1a_ec93_4f5b_97af_f3b76bf2269a|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_37_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_8c4fc707_979b_4a9d_8c85_ab71dccdc67d',
            function(s) 
                --Next
                nlbwalk(s, v_40); 
            end
        ),
        xact(
            'v_8a389e1a_ec93_4f5b_97af_f3b76bf2269a',
            function(s) 
                --Next
                nlbwalk(s, v_43); 
            end
        ),

    },
};

-- ++
v_38 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You made a primitive weapon and returned to the mansion.  A tousled, muscular man met you there. His facial expression showed that he still didn\'t want to let you in. He attacked you.  You quickly thrust forward your stake. The guard had no time to stop and his chest collided with a sharp stake.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _guardDone)) and "{v_84219c54_85b6_4365_aec5_6233ecc563d2|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_38_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_hp = _hp - 1;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_84219c54_85b6_4365_aec5_6233ecc563d2',
            function(s) 
                --Next
                nlbwalk(s, v_42); 
            end
        ),

    },
};

-- ++
v_39 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("\"Will you let me pass?\"^"..
"\"Yes,\" he said resolutely, \"but you\'ll have to fight me.\"^"..
"At first you didn\'t understand the meaning of his contradictory words. But then you realized what he meant and attacked. He didn\'t resist you and it took only a couple of seconds to bite through his throat.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _guardDone)) and "{v_e5d3f8a2_3df3_4a97_996f_420691a64f2a|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_39_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_e5d3f8a2_3df3_4a97_996f_420691a64f2a',
            function(s) 
                --Next
                nlbwalk(s, v_42); 
            end
        ),

    },
};

-- ++
v_40 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Suddenly you heard roaring and a wolf with open muzzle appeared in front of you. That was a large beast, bigger than you.^"..
"You prepared to fight, but the monster did not attack. He loudly drew air in through his nose and spoke to you:^"..
"\"Who are you? Where did you come from?\"^"..
"\"The owner of this house made me look like this. I came to settle the score with him,\" you honestly answered.^"..
"\"Did you try on that wolf skin, too?\" asked the beast, much softer this time.^"..
"\"Yes.\"^"..
"\"He transformed me the same way. Now I\'m something like a watchdog to him,\" the werewolf said sadly. \"I can never become a human again. Do you have a chance?\"^"..
"\"I don\'t know, but I hope so.\"");
    end,
    xdsc = function(s)
        p "^";
        p((((( not _guardDone) and (_wolvesTalk))) and "{v_0aeea7ac_f655_42e6_8dac_d4027df8086e|Next}^" or ""));
        p((((( not _guardDone) and ( not _wolvesTalk))) and "{v_2c710565_d9b7_4439_a29e_4d6a702994ab|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_40_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_0aeea7ac_f655_42e6_8dac_d4027df8086e',
            function(s) 
                --Next
                nlbwalk(s, v_41); 
            end
        ),
        xact(
            'v_2c710565_d9b7_4439_a29e_4d6a702994ab',
            function(s) 
                --Next
                nlbwalk(s, v_39); 
            end
        ),

    },
};

-- ++
v_41 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You remembered your recent encounter and exclaimed:^"..
"\"Why don\'t you go to the forest?\"^"..
"\"And roam alone there? No.\"^"..
"\"You can live in the wolf pack that I just saw,\" you suggested.^"..
"\"Really?\"^"..
"You told the poor fellow where to find other werewolves and he immediately ran into the forest to join them.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _guardDone)) and "{v_8a67a8b2_77a9_4244_8b89_51c046a3f6c7|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_41_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_8a67a8b2_77a9_4244_8b89_51c046a3f6c7',
            function(s) 
                --Next
                nlbwalk(s, v_42); 
            end
        ),

    },
};

-- ++
v_42 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("The path was free.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_d6b53c8e_e4ae_492c_8489_89a67cf8d41e_b45ff8f3_4052_467e_bffa_4a420b67a7b3_Return|Next}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_42_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_guardDone = true;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_d6b53c8e_e4ae_492c_8489_89a67cf8d41e_b45ff8f3_4052_467e_bffa_4a420b67a7b3_Return',
            function(s) 
                --Next
                nlbwalk(s, v_36); 
            end
        ),

    },
};

-- ++
v_43 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Suddenly you heard roaring and a wolf with open muzzle appeared in front of you. That was a large beast, bigger than you. You looked into his eyes like being spellbound. It actually was a horrible sight: human eyes on the beast\'s face with an opened mouth full of fangs.^"..
"The beast jumped forward and you ran towards him. The predator skillfully parried your attacks, and soon you understood that he was stronger and more experienced. If the battle would continue, you wouldn\'t probably make it out alive, let alone win.^"..
"When the time was right, you jumped in the nearest bush and ran away. It seemed that the opponent didn\'t pursue you. At least when you turned around, there was no one behind.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _guardDone)) and "{v_096f8bc5_e7af_4847_aa0c_843de8967a5d|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_43_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/lukhash_-_failure__lukhash.com_.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_096f8bc5_e7af_4847_aa0c_843de8967a5d',
            function(s) 
                --Next
                nlbwalk(s, v_45); 
            end
        ),

    },
};

-- ++
v_44 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You glanced at a snowball tree growing near.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _guardDone)) and "{v_ac722891_f521_4a40_8f60_67eeb05f283f|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_44_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_ac722891_f521_4a40_8f60_67eeb05f283f',
            function(s) 
                --Next
                nlbwalk(s, v_50); 
            end
        ),

    },
};

-- 
v_45 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (( not _guardDone) and (_wolfiness >= 1))) and "{v_c92edec5_e799_4393_bb58_bac32756f883|Choose the mountain ash}^" or ""));
        p(((( not _guardDone)) and "{v_3552ac04_1e42_4cfb_bfef_9d7777d3b6b9|Choose the hawthorn}^" or ""));
        p((((_wolfiness ~= nil) and (( not _guardDone) and (_wolfiness >= 1))) and "{v_57bfa54c_a18e_4322_b9ad_2eb6559c4298|Choose the snowball tree}^" or ""));
    end,
    autos = function(s)
        revive();
        if (true) then                 nlbwalk(s, v_46); 
        return false;
 end;
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_45_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_c92edec5_e799_4393_bb58_bac32756f883',
            function(s) 
                --Choose the mountain ash
                nlbwalk(s, v_49); 
            end
        ),
        xact(
            'v_3552ac04_1e42_4cfb_bfef_9d7777d3b6b9',
            function(s) 
                --Choose the hawthorn
                nlbwalk(s, v_38); 
            end
        ),
        xact(
            'v_57bfa54c_a18e_4322_b9ad_2eb6559c4298',
            function(s) 
                --Choose the snowball tree
                nlbwalk(s, v_44); 
            end
        ),

    },
};

-- ++
v_46 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You lied down under the bush, trembling, licking your wounds. Soon it was beginning to get light, and you prepared for another painful transformation...^"..
"You became a human again and your condition was quite poor. The wounds that you got from the fight with your enemy\'s guard were bleeding and hurting you.^"..
"‘I have to defeat this monster somehow,’ you thought.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (_wolfiness >= 1)) and "{v_9d3c5397_4216_4f0c_a4c0_9235ef4436dc|Next}^" or ""));
        p((((_wolfiness ~= nil) and (_wolfiness < 1)) and "{v_54d5d3a8_8101_4bd8_8080_6179d71925e5|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_46_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_9d3c5397_4216_4f0c_a4c0_9235ef4436dc',
            function(s) 
                --Next
                nlbwalk(s, v_47); 
            end
        ),
        xact(
            'v_54d5d3a8_8101_4bd8_8080_6179d71925e5',
            function(s) 
                --Next
                nlbwalk(s, v_48); 
            end
        ),

    },
};

-- ++
v_47 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You recollected some vague memories about some particular berry tree whose sharp branches would help you defeat a werewolf. But you didn\'t remember which tree it was exactly.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (_wolfiness >= 1)) and "{v_e307ea1f_9d44_45f0_aa58_15607482293b_b8eecad7_8e40_4397_87de_e794189f7bf5_Return|Choose the mountain ash}^" or ""));
        p("{v_e307ea1f_9d44_45f0_aa58_15607482293b_bc738a80_9890_4416_bead_3bbc8f533412_Return|Choose the hawthorn}^");
        p((((_wolfiness ~= nil) and (_wolfiness >= 1)) and "{v_e307ea1f_9d44_45f0_aa58_15607482293b_7e4ded08_354b_4c76_b876_2e8ac335fdad_Return|Choose the snowball tree}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_47_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_e307ea1f_9d44_45f0_aa58_15607482293b_b8eecad7_8e40_4397_87de_e794189f7bf5_Return',
            function(s) 
                --Choose the mountain ash
                nlbwalk(s, v_49); 
            end
        ),
        xact(
            'v_e307ea1f_9d44_45f0_aa58_15607482293b_bc738a80_9890_4416_bead_3bbc8f533412_Return',
            function(s) 
                --Choose the hawthorn
                nlbwalk(s, v_38); 
            end
        ),
        xact(
            'v_e307ea1f_9d44_45f0_aa58_15607482293b_7e4ded08_354b_4c76_b876_2e8ac335fdad_Return',
            function(s) 
                --Choose the snowball tree
                nlbwalk(s, v_44); 
            end
        ),

    },
};

-- ++
v_48 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("At that moment you remembered that a hawthorn stake could help you to defeat a werewolf.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (_wolfiness >= 1)) and "{v_e0d11a50_50d2_4521_be11_10267f8aab92_b8eecad7_8e40_4397_87de_e794189f7bf5_Return|Choose the mountain ash}^" or ""));
        p("{v_e0d11a50_50d2_4521_be11_10267f8aab92_bc738a80_9890_4416_bead_3bbc8f533412_Return|Choose the hawthorn}^");
        p((((_wolfiness ~= nil) and (_wolfiness >= 1)) and "{v_e0d11a50_50d2_4521_be11_10267f8aab92_7e4ded08_354b_4c76_b876_2e8ac335fdad_Return|Choose the snowball tree}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_48_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_e0d11a50_50d2_4521_be11_10267f8aab92_b8eecad7_8e40_4397_87de_e794189f7bf5_Return',
            function(s) 
                --Choose the mountain ash
                nlbwalk(s, v_49); 
            end
        ),
        xact(
            'v_e0d11a50_50d2_4521_be11_10267f8aab92_bc738a80_9890_4416_bead_3bbc8f533412_Return',
            function(s) 
                --Choose the hawthorn
                nlbwalk(s, v_38); 
            end
        ),
        xact(
            'v_e0d11a50_50d2_4521_be11_10267f8aab92_7e4ded08_354b_4c76_b876_2e8ac335fdad_Return',
            function(s) 
                --Choose the snowball tree
                nlbwalk(s, v_44); 
            end
        ),

    },
};

-- ++
v_49 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You spotted a branchy mountain ash.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _guardDone)) and "{v_6b91ac1c_6d81_401f_9653_e2b7d34c4a61|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_49_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_6b91ac1c_6d81_401f_9653_e2b7d34c4a61',
            function(s) 
                --Next
                nlbwalk(s, v_50); 
            end
        ),

    },
};

-- ++
v_50 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("That is what you decided to choose. You managed to break off a thick branch with a sharp point.^"..
"You made a primitive weapon and returned to the mansion.  A tousled, muscular man met you there. His facial expression showed that he still didn\'t want to let you in. He attacked you.  You quickly thrust forward your stake. The guard had no time to stop and his chest collided with a sharp stake. He roared with pain and attacked you. You had no chance to break free from his death embrace.");
    end,
    xdsc = function(s)
        p "^";
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_50_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/lukhash_-_failure__lukhash.com_.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
};

-- 
v_51 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
    end,
    xdsc = function(s)
        p "^";
        p("{v_b9a796f0_799c_4d1d_83c4_0d8f3af0645f|THE END. Try again?}^");
    end,
    autos = function(s)
        revive();
        if (true) then                 nlbwalk(s, v_52); 
        return false;
 end;
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_51_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_b9a796f0_799c_4d1d_83c4_0d8f3af0645f',
            function(s) 
                --THE END. Try again?
                nlbwalk(s, v_7); 
            end
        ),

    },
};

-- ++
v_52 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("There were no more obstacles. With a sinking heart you entered the house.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (_wolfiness == 3)) and "{v_fee69761_91f3_4060_85dc_17ecc73cf524|Next}^" or ""));
        p((((_wolfiness ~= nil) and (_wolfiness == 2)) and "{v_aa535c0e_be02_476d_99ab_0fb3814216a6|Next}^" or ""));
        p((((_wolfiness ~= nil) and (_wolfiness == 1)) and "{v_58c88025_34cb_47f4_9d4e_286a46e6a9d8|Next}^" or ""));
        p((((_wolfiness ~= nil) and (_wolfiness < 1)) and "{v_fe87465e_80fd_415c_8d4f_33f6c0562504|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_52_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_fee69761_91f3_4060_85dc_17ecc73cf524',
            function(s) 
                --Next
                nlbwalk(s, v_58); 
            end
        ),
        xact(
            'v_aa535c0e_be02_476d_99ab_0fb3814216a6',
            function(s) 
                --Next
                nlbwalk(s, v_53); 
            end
        ),
        xact(
            'v_58c88025_34cb_47f4_9d4e_286a46e6a9d8',
            function(s) 
                --Next
                nlbwalk(s, v_56); 
            end
        ),
        xact(
            'v_fe87465e_80fd_415c_8d4f_33f6c0562504',
            function(s) 
                --Next
                nlbwalk(s, v_54); 
            end
        ),

    },
};

-- ++
v_53 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You could smell your enemy\'s scent everywhere. Your acute beastly hearing detected some noise coming from the room on the second floor. You silently ran up the stairs and took a peek through a slightly opened door. It was him! The culprit of your misery.  You instantly felt a burst of rage. You wanted to kill him when suddenly wind brought the forest smell through the window. You remembered the feeling of freedom and strength while you had been a wolf. The understanding that you don\'t want to part with the wolf came to your mind. But you wanted to revenge anyway. After you had taken enough pleasure in seeing your enemy trembling with fear, you knocked him to the floor. You bit his arm and ran into the forest. Let him feel some of the suffering you’d felt because of him! That was fair.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_c195f996_3411_4120_a03d_1cbc25d871c7_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return|THE END. Try again?}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_53_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/cloudjumper_-_cloudjumper_-_a_full_mind.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_c195f996_3411_4120_a03d_1cbc25d871c7_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return',
            function(s) 
                --THE END. Try again?
                nlbwalk(s, v_7); 
            end
        ),

    },
};

-- ++
v_54 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("It was dark. The light was on only in one of the rooms on the second floor. You silently approached the door. It was not locked. You decisively entered the room.^"..
"\"Oh, I didn\'t expect to see you here,\" said the impudent bastard, \"didn\'t expect you\'d guess it was me.\"^"..
"\"Why did you put a spell on me?\" you snarled.^"..
"\"To be honest, there were no specific reason. I just found a new interesting spell and decided to test it on someone. And you deliberately put that skin on yourself. It would be a damn shame not to use a chance!\"^"..
"You was shocked by the cruelty of this person and the senselessness of what was going on.^"..
"\"Break the spell,\" you finally said.^"..
"\"No,\" he said with an indifferent tone.^"..
"You felt like someone whipped you.");
    end,
    xdsc = function(s)
        p "^";
        p((((_hp ~= nil) and (_hp > 1)) and "{v_5cd09acb_872e_42d2_bdcf_2e0dff9c05d1|Next}^" or ""));
        p((((_hp ~= nil) and (_hp <= 1)) and "{v_4af3e3a9_2715_42db_a544_4a2be9673d74|Next}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_54_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_5cd09acb_872e_42d2_bdcf_2e0dff9c05d1',
            function(s) 
                --Next
                nlbwalk(s, v_57); 
            end
        ),
        xact(
            'v_4af3e3a9_2715_42db_a544_4a2be9673d74',
            function(s) 
                --Next
                nlbwalk(s, v_55); 
            end
        ),

    },
};

-- ++
v_55 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You attacked the despicable man, squeezed his throat, and threatened him:^"..
"\"If you don\'t lift this damn curse, I will kill you!\"^"..
"At first the scoundrel tried to unclench your arms, and then punched your injured side. You bent from the pain. Then he kicked your bad leg. You fell on the floor. There were some things lying on the floor. Among them you spotted a paper knife. While pretending to be trying to crawl out of the room, you secretly took it. The bastard blocked your way, and said, bending down to your face,^"..
"\"No, I will kill you!\"^"..
"At that moment you stabbed him. After getting the upper hand, being injured and tired, you left that dreadful house.^"..
"You waited for the next night with trepidation, but your fears were for naught. Never again did you transform into a wolf.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_eaa4f345_6237_416d_9764_f6f503028864_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return|THE END. Try again?}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_55_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/lukhash_-_failure__lukhash.com_.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_eaa4f345_6237_416d_9764_f6f503028864_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return',
            function(s) 
                --THE END. Try again?
                nlbwalk(s, v_7); 
            end
        ),

    },
};

-- ++
v_56 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("It was dark. The light was on only in one of the rooms on the second floor. You silently approached the door. It was not locked. You decisively entered the room.^"..
"\"Oh, I didn\'t expect to see you here,\" said the impudent bastard, \"didn\'t expect you\'d guess it was me.\"^"..
"\"Why did you put a spell on me?\" you snarled.^"..
"\"To be honest, there were no specific reason. I just found a new interesting spell and decided to test it on someone. And you deliberately put that skin on yourself. It would be a damn shame not to use a chance!\"^"..
"You was shocked by the cruelty of this person and the senselessness of what was going on.^"..
"\"Break the spell,\" you finally said.^"..
"\"No,\" he said with an indifferent tone.^"..
"You felt like someone whipped you. You swiftly attacked him and bit his arm.^"..
"\"What have you done?!\" he screamed with despair.^"..
"\"Break the spell,\" you repeated the demand, \"so you will also be cured.\"^"..
"With shaking hands he opened some old book and quickly read the necessary passage. After giving this pathetic person a disdainful look, you left. Soon you returned to your normal life, and those few days as a wolf, you tried to forget like a mere nightmare.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_8a8ee4b3_7744_4fe5_a3e0_6a5a5eb91f82_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return|THE END. Try again?}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_56_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_8a8ee4b3_7744_4fe5_a3e0_6a5a5eb91f82_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return',
            function(s) 
                --THE END. Try again?
                nlbwalk(s, v_7); 
            end
        ),

    },
};

-- ++
v_57 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You attacked the despicable man, squeezed his throat, and threatened him:^"..
"\"If you don\'t lift this damn curse, I will kill you!\" The bastard helplessly floundered with his eyes wide open. His face already began to turn blue when you weakened the grip.^"..
"\"I agree,\" he wheezed.^"..
"You released him. With shaking hands he opened some old book and quickly read the necessary passage. After giving this pathetic person a disdainful look, you left.^"..
"When you reached the city, you immediately called the police and told them the address of a person who was running all over the city wearing a wolf skin. You knew that hunting those animals was banned, and there were a few pelts in the scoundrel\'s house that he personally bagged.^"..
"Soon you returned to your normal life, and those few days as a wolf, you tried to forget like a mere nightmare.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_c81126f6_4646_42b3_af03_aae3d6a9a0c2_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return|THE END. Try again?}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_57_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_c81126f6_4646_42b3_af03_aae3d6a9a0c2_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return',
            function(s) 
                --THE END. Try again?
                nlbwalk(s, v_7); 
            end
        ),

    },
};

-- ++
v_58 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You could smell your enemy\'s scent everywhere. Your acute beastly hearing detected some noise coming from the room on the second floor. You silently ran up the stairs and took a peek through a slightly opened door. It was him! The culprit of your misery.  You instantly felt a burst of rage. Your eyes became bloodshot. You could not control yourself any longer; you broke into the room with a loud growling. After you had taken enough pleasure in seeing your enemy trembling with fear, you knocked him to the floor. The last thing he was able to do was to make a horrible scream before you bit through his throat.^"..
"You waited till morning, then found a pair of trousers, a shirt, and some boots. You dressed and went back home. Unfortunately, the next night you transformed into a werewolf again.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_61f37b28_518b_4025_8913_5c278ba14bdb_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return|THE END. Try again?}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_58_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/lukhash_-_failure__lukhash.com_.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_61f37b28_518b_4025_8913_5c278ba14bdb_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return',
            function(s) 
                --THE END. Try again?
                nlbwalk(s, v_7); 
            end
        ),

    },
};

-- ++
v_59 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("You noticed that wolves lost interest in you and preferred not to come close, so you stopped showing your teeth and made yourself comfortable on the grass.^"..
"After some time you heard voices in the alley. Flashlight beams were sliding over the roads, enclosures, and grass. Soon three men came up to the enclosure you were in. Two of them definitely were cops. You bared your teeth again.^"..
"\"Are you sure that everything is normal, old man?\" harshly asked one of the cops. \"Are your animals all here?\" They lit the enclosure with the beams. It lit up the pack and you.^"..
"\"Hey, light up this one again!\"^"..
"The beam returned. You froze, your muscles strained.^"..
"\"This one doesn\'t look like mine... What does it have on its neck? Is that a cell phone?\"^"..
"You decided not to find out what was on your neck, but instead made another jump over the fence and rushed off down the road. The policemen obviously weren\'t as fast as you were and were slow to react, but then they grabbed their guns and opened fire at you. You shuddered and shrieked when one of the bullets hit you. Trying ignore the pain, you hurried to run as far as possible. Luckily you met no more cops on your way.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_842d3b57_f58a_4115_a922_e3ab485b22a4|Next}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_59_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_hp = _hp - 1;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_842d3b57_f58a_4115_a922_e3ab485b22a4',
            function(s) 
                --Next
                nlbwalk(s, v_2); 
            end
        ),

    },
};

