instead_version "1.9.1"
require "xact"
require "hideinv"
--require "para"
require "dash"
require "quotes" 
require "theme" 
require "timer" 
game.codepage="UTF-8";
stead.scene_delim = '^';

game.act = function() curloc().lasttext = 'Nothing happens.'; p(curloc().lasttext); curloc().wastext = true; end;
game.inv = function() curloc().lasttext = 'Hm... This is strange thing...'; p(curloc().lasttext); curloc().wastext = true; end;
game.use = function() curloc().lasttext = 'Does not work...'; p(curloc().lasttext); curloc().wastext = true; end;
game.forcedsc = true;

global {
    _lists = {};
    _clones = {};
    _filter = {};
    _curloc = nil;
    push = function(listname, v)
        local list = _lists[listname];
        _lists[listname] = {next = list, value = v};
    end;
    pushObjs = function(listname, v)
        for k,vv in stead.opairs(objs(v)) do
            local o = stead.ref(vv);
            if (isObject(o)) then
                push(listname, o);
            end;
        end;
    end;
    pop = function(listname)
        local list = _lists[listname];
        if list == nil then
            return nil;
        else
            _lists[listname] = list.next;
            return list.value;
        end;
    end;
    inject = function(listname, v)
        local list = _lists[listname];
        if list == nil then
            _lists[listname] = {next = nil, value = v};
        else
            while list.next ~= nil do
                list = list.next
            end;
            list.next = {next = nil, value = v};
        end;
    end;
    eject = function(listname)
        local list = _lists[listname];
        local prevlist = list;
        if list == nil then
            return nil;
        else
            while list.next ~= nil do
                prevlist = list
                list = list.next
            end;
            prevlist.next = nil;
            return list.value;
        end;
    end;
    rmv = function(listname, v)
        local list = _lists[listname];
        local val;
        local prevlist = nil;
        while list ~= nil do
            val = list.value;
            if (val.nlbid == v.nlbid) then
                if (prevlist == nil) then
                    _lists[listname] = list.next;
                    return;
                else
                    prevlist.next = list.next
                    return;
                end;
            end;
            prevlist = list;
            list = list.next;
        end;
    end;
    size = function(listname)
        local list = _lists[listname];
        local result = 0;
        if list == nil then
            return 0;
        else
            repeat
                list = list.next;
                result = result + 1;
            until list == nil;
        end;
        return result;
    end;
    shuffle = function(listname)
        local arr = toArray(_lists[listname]);
        _lists[listname] = nil;
        addArr(listname, shuffled(arr));
    end;
    addAll = function(s, destination, destinationList, listName, unique)
        local loclist = _lists[listName];
        if loclist == nil then
            return;
        else
            repeat
                if destination ~= nil then
                    addf(destination, loclist.value, unique);
                elseif destinationList ~= nil then
                    push(destinationList, loclist.value);
                else
                    addf(s, loclist.value, unique);
                end;
                loclist = loclist.next;
            until loclist == nil;
        end;
    end;
    shuffled = function(tab)
        local n, order, res = #tab, {}, {};
        for i=1,n do order[i] = { rand = rnd(n), idx = i } end;
        table.sort(order, function(a,b) return a.rand < b.rand end);
        for i=1,n do res[i] = tab[order[i].idx] end;
        return res;
    end;
    toArray = function(list)
        local res = {}
        local loclist = list;
        local i = 1;
        if loclist == nil then
            return nil;
        else
            repeat
                res[i] = loclist.value;
                loclist = loclist.next;
                i = i + 1;
            until loclist == nil;
        end;
        return res;
    end;
    addArr = function(listname, arr)
        local n = #arr
        for i=1,n do push(listname, arr[i]) end;
    end;
    usea = function(actionObject, targetObject)
        if actionObject ~= nil and targetObject ~= nil then
            if actionObject.usea ~= nil then
                actionObject.usea(actionObject, targetObject);
            end;
        end;
    end;
    acta = function(object)
        if object ~= nil then
            if object.acta ~= nil then
                object.acta(object);
            end;
        end;
    end;
    actf = function(object)
        if object ~= nil then
            if object.actf ~= nil then
                object.actf(object);
            end;
        end;
    end;
    clear = function(object)
        if object ~= nil then
            if object.clear ~= nil then
                object.clear(object);
            end;
        end;
    end;
    addf = function(target, object, unique)
        if target == nil then
            if not have(object) then
                take(object);
            elseif not unique then
                take(clone(object));
            end;
        else
            local ores = nil;
            if not exist(object, target) then
                ores = object;
            elseif not unique then
                ores = clone(object);
            end;
            if ores ~= nil then
                ores.container = function() return target; end;
                objs(target):add(ores);
            end;
        end;
    end;
    clrcntnr = function(coll)
        -- TODO: add implementation (set container to nil func for every obj from coll)
    end;
    revive = function()
        for k,v in pairs(_filter) do
            if v then
                local o = stead.ref(k);
                o.revive(o);
            end;
        end;
    end;
    deepcopy = function(t)
        local k; local v;
        if type(t) ~= "table" then return t end;
        local mt = getmetatable(t);
        local res = {};
        for k,v in pairs(t) do
            if type(v) == "table" and k ~= "container" then
                v = deepcopy(v)
            end;
            res[k] = v;
        end;
        setmetatable(res,mt);
        return res;
    end;
    clone = function(s)
        if s.nlbobj == "listobj" then
            return clonefd(s);
        else
            return new('clonef(\''..stead.deref(s)..'\')');
        end;
    end;
    clonef = function(s_nam)
        local s = stead.ref(s_nam);
        return clonefd(s);
    end;
    clonefd = function(s)
        local ret = deepcopy(s);
        local r = _clones[s.nam];
        if r == nil then
            r = 1;
        else
            r = r + 1;
        end;
        _clones[s.nam] = r;
        ret.nam = s.nam..r;
        return ret;
    end;
    curloc = function()
        if _curloc == nil then
            return here();
        else
            return _curloc;
        end;
    end;
    nlbwalk = function(s, loc)
        if (s ~= loc) then
            _curloc = loc;
            walk(loc);
            if _curloc.wastext then loc.wastext = true; end;
        else
            local lasttext = s.lasttext;
            local wastext = s.wastext;
            if s.exit ~= nil then
                s.exit(s, s);
            end
            if s.enter ~= nil then
                s.enter(s, s);
            end
            s.wastext = wastext;
            s.lasttext = lasttext;
        end
    end;
}
listobj = {
    nam = "listobj",
    nlbobj = "listobj",
    listnam = "",
    clear = function(s)
        _lists[s.listnam] = nil;
    end,
    act = function(s)
        s.acta(s)
        local loc = curloc();
        loc.autos(loc);
    end,
    acta = function(s)
        s.actf(s)
    end,
    actf = function(s)
        local list = _lists[s.listnam];
        if list ~= nil then
            repeat
                list.value.acta(list.value);
                list = list.next;
            until list == nil;
        end;
    end,
    use = function(s, w)
        s.usea(s, w, w);
        local loc = curloc();
        loc.autos(loc);
    end,
    usea = function(s, w, ww)
        s.usef(s, w, ww);
    end,
    usef = function(s, w, ww)
        local list = _lists[s.listnam];
        if list ~= nil then
            repeat
                list.value.usea(list.value, w, ww);
                list = list.next;
            until list == nil;
        end;
    end,
    used = function(s, w)
        s.useda(s, w);
        local loc = curloc();
        loc.autos(loc);
    end,
    useda = function(s, w)
        s.usedf(s, w);
    end,
    usedf = function(s, w)
        local list = _lists[s.listnam];
        if list ~= nil then
            repeat
                w.usea(w, list.value, list.value);
                list = list.next;
            until list == nil;
        end;
    end;
}
-- infoObj
v_766dc293_6fcf_421e_8b99_ef09b92a98b2 = stat {
    var { tag = ''; container = function() return nil; end; nlbid = '766dc293-6fcf-421e-8b99-ef09b92a98b2'; },
    nam = "infoObj",
    snd = function(s) 
    end,
    disp = function(s) return "Волчность: "..tostring(_wolfiness).."    Жизнь: "..tostring(_hp); end,    
    dscf = function(s) end,
    dsc = function(s) p(s.dscf(s)); end,
    act = function(s)
        s.acta(s);
        local loc = curloc();
        loc.autos(loc);
    end,
    actt = function(s)
        return "";
    end,
    acta = function(s)
        s.actf(s);
        s.actcmn(s);
    end,
    actf = function(s)
    end,
    used = function(s, w)
    end,
    actcmn = function(s)
    end,
};

_infoObj = v_766dc293_6fcf_421e_8b99_ef09b92a98b2
-- 
main = room { nam = "main", enter = function(s) take(_infoObj); nlbwalk(s, v_7); end }

-- 5.
v_2 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Вы мчались по пустынным ночным улицам так быстро, как только могли и вскоре многоэтажные кирпичные дома начали сменяться небольшими частными домиками. Заметив, заброшенное, полуразвалившееся строение, вы решили дождаться рассвета там. Свернувшись клубочком, вы задремали. Вы проснулись от холода, когда уже забрезжил серый рассвет. Прокравшись в соседний двор, где на верёвках сушились вещи, вы сняли рубашку и брюки. Быстро одевшись, вы направились к шоссе. Но больше всего волновал вопрос: кто или что заставило вас превратиться в волка. Вы абсолютно точно помнили, что никакое животное вас не кусало и даже не царапало. Вы ощущали растерянность. Как назло, на дороге не появлялось ещё ни одной машины, а вам так хотелось поскорее попасть домой. К тому же, вам снова захотелось есть. Заметив за деревьями бар для дальнобойщиков, вы решили туда зайти.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_f12451f7_6419_4026_b371_bc064e09b725|Далее}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_2_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/smiling_cynic_-_beat_me.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_f12451f7_6419_4026_b371_bc064e09b725',
            function(s) 
                --Далее
                nlbwalk(s, v_12); 
            end
        ),

    },
};

-- 1.6
v_3 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Успокоившись, вы оглядели себя ещё раз. С виду весьма похоже на обычного волка, только немного крупнее. Навряд ли ваши преследователи смогут в темноте разглядеть разницу. Вы только надеялись, что не оставили много следов у вольера. И что у них не будет собак...^"..
"^"..
"Внезапно, взгляд упал на болтающийся на вашей шее сотовый телефон. Вы поспешно сдёрнули его и спрятали в траве. Как раз вовремя! На аллее послышались голоса. Лучи фонарей поспешно шарили по дорожкам, траве и вольерам. Через некоторое время к вольеру подошли трое. Одного из них вы узнали. Это был старик Олаф, сторож зоопарка, с ним было двое вооружённых полицейских.^"..
"^"..
"-- Ты уверен, что всё в порядке, старик? -- резко спросил один из них. -- все твои звери на месте?^"..
"Луч фонаря скользнул по вольеру. Вы вжались в землю, дыхание, казалось остановилось. Луч осветил стаю. Скользнул по вам.^"..
"^"..
"Олаф неохотно глянул на вольер.^"..
"-- Да, всё в порядке. Звери бы давно подняли тревогу, если бы здесь что-то было не так. Они гораздо умнее вас, грубияны.^"..
"Полицеский только хмыкнул.^"..
"-- Ладно, пойдём отсюда, Свен. Похоже, всё в порядке.^"..
"Стражи порядка развернулись и пошли прочь. Олаф продолжал какое-то время смотреть на волков, а потом тоже развернулся и пошёл следом за ними.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_4ddd5cd9_d3e2_4107_a610_10fc2a595ee3|Далее}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_3_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_4ddd5cd9_d3e2_4107_a610_10fc2a595ee3',
            function(s) 
                --Далее
                nlbwalk(s, v_2); 
            end
        ),

    },
};

-- 14. +1 к чел нав.
v_4 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Оскалив зубы, вы начали медленно подниматься со стола. Этого оказалось достаточно, чтобы патологоанатом с воплями выскочил из помещения. Вы снова приняли звериное обличье. Ощущая дикий голод, вы набросились на труп на соседнем столе. Торопливо завершив кровавую трапезу, вы выбрались из здания. Вы ощущали сытость, правда рана немного ныла.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_0cb9c0eb_d92e_4632_86e5_e27b5809b0fd|Далее}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_4_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_0cb9c0eb_d92e_4632_86e5_e27b5809b0fd',
            function(s) 
                --Далее
                nlbwalk(s, v_2); 
            end
        ),

    },
};

-- 3.Больница
v_5 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Вы очнулись от яркого света, который проникал даже сквозь опущенные веки. Вы лежали на чём-то твёрдом и холодном. Приоткрыв глаза, вы увидели склонившегося над вами мужика в медицинской маске. Он пытался снять телефон с вашей шеи. Заметив, что вы на него смотрите, медработник, сильно вздрогнул и попятился, выпучив глаза.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_ba3735f7_403c_429f_8934_af62231d8565|Съесть врача}^");
        p("{v_36d93e4f_19f9_489d_94a4_7fc5ba630d7a|Съесть труп}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_5_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_ba3735f7_403c_429f_8934_af62231d8565',
            function(s) 
                --Съесть врача
                nlbwalk(s, v_6); 
            end
        ),
        xact(
            'v_36d93e4f_19f9_489d_94a4_7fc5ba630d7a',
            function(s) 
                --Съесть труп
                nlbwalk(s, v_4); 
            end
        ),

    },
};

-- 4. Восстанавливает одну жизнь +1 к волч нав.
v_6 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Ощутив запах панического ужаса, исходящий от патологоанатома, вы почувствовали, как кровь забурлила в жилах и заурчало в желудке. Вновь обретя звериный облик, вы настигли медработника уже в коридоре. Набросившись сзади, вы повалили его на пол и в мгновение ока перегрызли горло. Но надо было поторапливаться. На его истошные вопли скоро сбежится пол города. Жадно проглотив несколько кусков мяса, вы почувствовали как силы быстро возвращаются. Напугав по пути уборщицу, до полуобморочного состояния, вы, наконец, выбрались из здания. Вскоре, боль перестала вас мучить. С удивлением, вы обнаружили, что рана от пули затянулась.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_b1b343df_83f3_4732_a51d_b0be6e0d1164|Далее}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_6_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_wolfiness = _wolfiness + 1;
_hp = _hp + 1;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_b1b343df_83f3_4732_a51d_b0be6e0d1164',
            function(s) 
                --Далее
                nlbwalk(s, v_2); 
            end
        ),

    },
};

-- 1. Очнулся на улице в ночи. Волк-волк! Все побежали и он побежал. 
v_7 = room {
    nam = "...",
    bgimg = function(s)
        if (true) then
            theme.gfx.bg('images/forest.png');
        end
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Вы очнулись лежащим посреди тротуара. Полная луна уже показалась из-за крыш и ярко светила вам в лицо. Вокруг не было ни души.^"..
"«Интересно, сколько я тут валяюсь. И ведь никто даже скорую не вызвал», – подумали вы, не спеша двигаясь по улице. Где-то вдалеке слышался вой сирен. Свернув за угол, вы наткнулись на группу прохожих.^"..
"– Волк! Волк! – раздались крики. Люди бросились врассыпную. Спасаясь от зверя, вы побежали вместе с ними. Постоянно оглядываясь, граждане продолжали вопить. Вы тоже пару раз обернулись, с ужасом ожидая увидеть оскаленную пасть, но позади никого не было. В конце концов, решив отделиться от обезумевшей группы, вы свернули в переулок и спрятались за мусорным баком. Через пару минут, вой сирен раздался совсем рядом. Осторожно высунувшись из своего укрытия, вы увидели полицейских. Они двигались прямо к вам.^"..
"«Волк здесь!» – подумали вы, холодея от страха. Вы принялись нервно оглядываться по сторонам. Внезапно, у противоположной стены вы увидели что-то тёмное и мохнатое. Вы застыли на месте. Сердце колотилось, в ушах шумело. Вдруг,  несмотря на панику, вы сделали страшное открытие: у противоположной стены стояло выброшенное кем-то зеркало. Отражение в нём было вашим!^"..
"– Я монстр! – с отчаянием вскричали вы. Но полицейские услышали жуткий душераздирающий вой. Теперь стало ясно: они шли убить вас. Надо бежать! Но куда? Слева и справа – дома. Позади – трёхметровый бетонный забор. А впереди куча вооружённых людей.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_dedde941_43c9_46c6_89f9_799e86c17e08|Попытаться прорваться сквозь полицию}^");
        p("{v_a9ba0ac9_1fcf_499c_a53c_6f41811649be|Перепрыгнуть через забор}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_7_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_hp = 3;
_wolfiness = 0;
_guardDone =  false ;
_forestExit =  false ;
_barExit =  false ;
_wolvesTalk =  false ;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_dedde941_43c9_46c6_89f9_799e86c17e08',
            function(s) 
                --Попытаться прорваться сквозь полицию
                nlbwalk(s, v_8); 
            end
        ),
        xact(
            'v_a9ba0ac9_1fcf_499c_a53c_6f41811649be',
            function(s) 
                --Перепрыгнуть через забор
                nlbwalk(s, v_11); 
            end
        ),

    },
};

-- 2. Подстрелили (теряет одну жизнь)
v_8 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Сделав ставку на внезапность, вы вырвались из-за бака и скачками понеслись прочь. От неожиданности, полицейские замешкались, но через несколько секунд раздались выстрелы. Неожиданно, луна скрылась за тучей. На ваше счастье фонари не работали и наступила кромешная тьма. Вы уже почти свернули в знакомый переулок, как вдруг, одна из пуль настигла вас. Вы жалобно взвизгнули, и, пробежав ещё пару метров, рухнули будто подкошенный.^"..
"– Надо проверить, что там. Все за мной, – скомандовал один из полицейских. Двигаясь очень осторожно и держа пистолеты наготове, стражи порядка приблизились к тому месту где вы упали.^"..
"– Ребята, отбой! Здесь только какой-то голый мужик. Наверное задели когда палили в зверя. Вызовите скорую.^"..
"– Но откуда он взялся?^"..
"– Наверное, гостил у чьей-нибудь жены, а её супруг вернулся раньше времени. Вот он и сиганул с балкона.^"..
"– А что там у него на шее?^"..
"– Похоже сотовый.^"..
"– Чудак. Я бы на его месте лучше трусы схватил.^"..
"Машина медицинской помощи прибыла довольно быстро. Врачи, констатировали смерть потерпевшего, и, погрузив тело, отправили его в морг.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_b2100bc1_9ce4_4a3a_b147_0784afafb411|Далее}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_8_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_hp = _hp - 1;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_b2100bc1_9ce4_4a3a_b147_0784afafb411',
            function(s) 
                --Далее
                nlbwalk(s, v_5); 
            end
        ),

    },
};

-- 1.3
v_9 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Только сейчас, глядя на этого трясущегося человечка, вы почувствовали дикий голод, словно выжигающий вас изнутри. Медленно, не спуская глаз с грабителя, вы стали приближаться к нему. Нервы парня не выдержали, он бросил своё оружие и украденную сумку и с громким криком побежал прочь, но вы были быстрее. Одним молниеносным движением вы подскочили к нему и впились зубами в горло. Крик вашей жертвы тут же затих, и вы начали свой страшный пир...");
    end,
    xdsc = function(s)
        p "^";
        p("{v_d3349871_a508_4395_b090_292ff7c9cccc|Далее}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_9_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_wolfiness = _wolfiness + 1;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_d3349871_a508_4395_b090_292ff7c9cccc',
            function(s) 
                --Далее
                nlbwalk(s, v_21); 
            end
        ),

    },
};

-- 1.2
v_10 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Оскалив зубы, вы громко зарычали и сделали вид, что хотите броситься на грабителя. Этого оказалось достаточно. Выпустив из рук и свой нож, и даже сумку, которую он пытался отнять у своей жертвы, вор со всех ног бросился бежать вниз по улице и скоро исчез за углом.^"..
"^"..
"Подойдя ближе к сумке, вы ощутили запах продуктов. Хлеб, сыр, какие-то овощи... Сырое мясо!^"..
"^"..
"Только сейчас вы поняли, как голодны. Вытряхнув всё из сумки, вы набросились на мясо, как дикий зверь. Собственно, вы и были сейчас диким зверем.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_7b0086e0_4fca_4734_821f_85e383455811|Далее}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_10_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_7b0086e0_4fca_4734_821f_85e383455811',
            function(s) 
                --Далее
                nlbwalk(s, v_21); 
            end
        ),

    },
};

-- 1.1 По дороге к зоопарку. Ограбление.
v_11 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Бежать прямо на вооружённых полицейских -- не лучшая идея. Обернувшись, вы с тоской оглядели забор позади себя. Подпрыгнуть так высоко человеку не под силу.^"..
"^"..
"Но когда раздались выстрелы, ваше тело всё сделало само. С силой оттолкнувшись от земли, вы взмыли в воздух, не успев даже удивиться, приземлились с другой стороны забора, и, не дожидаясь, пока преследователи найдут обходной путь, побежали по узким улочкам, не разбирая дороги, стремясь поскорее убраться отсюда как можно дальше.^"..
"^"..
"Мохнатым вихрем влетев за угол, вы чуть не врезались в сцепившихся людей. Похоже, в данный момент совершалось ещё одно преступление. Долговязый худой парень в маске и кожаной куртке молча пытался вырвать сумку у женщины, а та так же молча пыталась ему сопротивляться. Ваше появление поразило их, как удар молнии. Глаза женщины округлились, она тут же выпустила сумку из рук и, завопив, убежала за угол. Грабитель же отступил к стене и выбросил в вашу сторону дрожащую руку с ножом.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_167bc539_44e2_41f0_83c9_78dee52b4602|Съесть грабителя}^");
        p("{v_69073172_bc58_4080_90a2_b011140925f4|Прогнать грабителя}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_11_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_167bc539_44e2_41f0_83c9_78dee52b4602',
            function(s) 
                --Съесть грабителя
                nlbwalk(s, v_9); 
            end
        ),
        xact(
            'v_69073172_bc58_4080_90a2_b011140925f4',
            function(s) 
                --Прогнать грабителя
                nlbwalk(s, v_10); 
            end
        ),

    },
};

-- Бар для дальнобойщиков
v_12 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
    end,
    xdsc = function(s)
        p "^";
    end,
    autos = function(s)
        revive();
        if ((_barExit)) then                 nlbwalk(s, v_22); 
        return false;
 end;
        if (( not _barExit)) then                 nlbwalk(s, v_13); 
        return false;
 end;
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_12_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
};

-- 6.
v_13 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Усевшись за столик, вы с досадой вспомнили, что денег-то нету. Автоматически пошарив в карманах брюк, вы обнаружили скомканную, ещё влажную купюру. Этого должно было хватить на чашку чая. Нарушив ваше уединение, за столик подсел бородатый мужик в клетчатой рубахе.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _barExit)) and "{v_a545e711_3f71_479c_af09_31951724f310|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_13_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_a545e711_3f71_479c_af09_31951724f310',
            function(s) 
                --Далее
                nlbwalk(s, v_15); 
            end
        ),

    },
};

-- 13.
v_14 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Увидев его, вы поняли, что очень, очень голодны.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _barExit)) and "{v_f39496db_aea7_4694_9937_b261503b7bdc|Съесть философа}^" or ""));
        p(((( not _barExit)) and "{v_cb8d4efa_0386_4ceb_8e54_9b551048d9af|Украсть еду с кухни}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_14_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_f39496db_aea7_4694_9937_b261503b7bdc',
            function(s) 
                --Съесть философа
                nlbwalk(s, v_17); 
            end
        ),
        xact(
            'v_cb8d4efa_0386_4ceb_8e54_9b551048d9af',
            function(s) 
                --Украсть еду с кухни
                nlbwalk(s, v_16); 
            end
        ),

    },
};

-- 7.
v_15 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("– Доброго вам утречка! – сказал мужик.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (( not _barExit) and (_wolfiness > 0))) and "{v_87617125_615e_406b_af09_07ee6bff42a8|Далее}^" or ""));
        p((((_wolfiness ~= nil) and (( not _barExit) and (_wolfiness <= 0))) and "{v_92f84130_18ae_4133_a917_3e29fa6215c2|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_15_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_87617125_615e_406b_af09_07ee6bff42a8',
            function(s) 
                --Далее
                nlbwalk(s, v_20); 
            end
        ),
        xact(
            'v_92f84130_18ae_4133_a917_3e29fa6215c2',
            function(s) 
                --Далее
                nlbwalk(s, v_18); 
            end
        ),

    },
};

-- 11.  +1ч
v_16 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Всё же вам удалось взять себя в руки. Презрительно отвернувшись, вы тенью промелькнули к помещению, откуда доносились ароматы съестного. Это оказалась кухня. На ваше счастье, там никого не было. Без труда запрыгнув в открытое окно, вы с удовольствием съели огромный кусок сырого мяса, которое повар оставил размораживаться.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _barExit)) and "{v_4c97b13a_c094_4bed_949f_820da1e77ac5|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_16_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_4c97b13a_c094_4bed_949f_820da1e77ac5',
            function(s) 
                --Далее
                nlbwalk(s, v_19); 
            end
        ),

    },
};

-- 9.  +1в
v_17 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Бородач повернулся лицом к стене и застыл на месте, очевидно, справляя малую нужду.  Бесшумно подкравшись к нему, вы дождались пока он повернётся, и, бросившись любителю чая на грудь, загрызли прежде, чем он успел пикнуть.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _barExit)) and "{v_340cf9f7_246d_44f0_91aa_2a9ea07f7d77|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_17_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_wolfiness = _wolfiness + 1;
_hp = _hp + 1;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_340cf9f7_246d_44f0_91aa_2a9ea07f7d77',
            function(s) 
                --Далее
                nlbwalk(s, v_19); 
            end
        ),

    },
};

-- 12. Лезет в Интернет, узнаёт про средство
v_18 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("– Здравствуйте, – ответили вы.^"..
"– У вас свободно?^"..
"– Да, пожалуйста.^"..
"Свободных столиков было много, из чего вы сделали вывод, что мужик жаждал общения. Но вам требовалось уединение, чтобы как следует подумать о той ситуации, в которой вы оказались. Как раз в этот момент принесли чай. Выпив его почти залпом, вы поспешили встать из-за стола, так как вам в голову пришла отличная идея: почитать про оборотней в интернете. Выйдя на улицу, вы сняли с шеи телефон. Вот какую информацию вам удалось найти: «Превратиться в волка можно не только после укуса. Если накинуть на плечи волчью шкуру и произнести заклинание, вы станете волколаком. Волколак – очень сильный и хитрый. Лучшее средство победить его – вонзить кол из боярышника». Вы вспомнили, как несколько дней назад гостили у одного товарища в загородном доме. Там вы действительно примеряли волчью шкуру… Решив отдохнуть в ближайшей роще, а вечером отправиться в дом злодея, заколдовавшего вас, вы спрятались в густом кустарнике, где и заснули под мерное гудение пчёл. Когда вы покинули царство Морфея, уже стемнело. Жутко хотелось есть. Выбравшись из укрытия, вы заметили как из бара вышел утренний знакомец.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _barExit)) and "{v_d2f008b5_ccf8_4bc6_9238_2af33f005ed5|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_18_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_d2f008b5_ccf8_4bc6_9238_2af33f005ed5',
            function(s) 
                --Далее
                nlbwalk(s, v_14); 
            end
        ),

    },
};

-- 10. Узнав про волчью шкуру, он понял, кто его превратил, и пошёл к нему домой. А путь его пролегал через лес.
v_19 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Основательно подкрепившись, вы, стараясь держаться поближе к деревьям, рысцой отправились в дом врага.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_e40f707a_3934_43b4_b302_9ea6b4461531_34e50ebc_ea2b_4714_81a1_ae8fca22c399_Return|Далее}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_19_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_barExit = true;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_e40f707a_3934_43b4_b302_9ea6b4461531_34e50ebc_ea2b_4714_81a1_ae8fca22c399_Return',
            function(s) 
                --Далее
                nlbwalk(s, v_12); 
            end
        ),

    },
};

-- 8.
v_20 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Вам не хотелось общаться. С недовольной гримасой на лице, вы нехотя кивнули в ответ.^"..
"– А я вижу, у вас день не задался? – не отставал бородач.^"..
"– Да уж, – рявкнули вы.^"..
"– Потрясающе! – воскликнул мужик. – Вы типичный волколак.^"..
"– Чего? – не поняли вы.^"..
"– Видите ли, я не всегда работал дальнобойщиком. По профессии я кандидат философских наук. Но жить на зарплату преподавателя.., – он вздохнул. – Так вот, увидев вас, я отчего-то сразу вспомнил это мифическое существо. Оборотня.^"..
"– Меня никто не кусал, – зачем-то сказали вы.^"..
"– Для превращения в волколака это и не требуется! – радостно воскликнул мужик, счастливый от того, что нашёл собеседника.^"..
"Вот это уже было интересно. Вы весь превратились в слух.^"..
"– Достаточно накинуть волчью шкуру, произнести заклинание и дело сделано.^"..
"В этот момент принесли чай, но вам было не до него. Вы вспомнили, как несколько дней назад гостили у одного товарища в загородном доме. Там вы действительно примеряли волчью шкуру…^"..
"– Что самое интересное, – продолжал философ, – самый надёжный способ убить такого оборотня  это вонзить в него кол из боярышника. Вы, я вижу, не хотите чай? Так я выпью, пока он не остыл. – С этими словами мужик взял чашку и, прежде чем вы успели его остановить, сделал большой глоток.^"..
"– А-а, хорошо. Зря не стали чай, очень недурственно.^"..
"Побагровев от ярости, вы встали из-за стола и практически выбежали из бара, стараясь не слушать возгласы нового знакомого, раздававшиеся вслед. Решив отдохнуть в ближайшей роще, а вечером отправиться в дом злодея, заколдовавшего вас, вы спрятались в густом кустарнике, где и заснули под мерное гудение пчёл. Когда вы покинули царство Морфея, уже стемнело. Жутко хотелось есть. Выбравшись из укрытия, вы заметили как из бара вышел философ. Гнев захватил вас, словно водоворот.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _barExit)) and "{v_179d0a83_813c_461c_8ae4_257bedeea33a|Съесть философа}^" or ""));
        p(((( not _barExit)) and "{v_fab7dbf7_e99d_44d0_80dc_a1ddc04088db|Украсть еду с кухни}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_20_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_179d0a83_813c_461c_8ae4_257bedeea33a',
            function(s) 
                --Съесть философа
                nlbwalk(s, v_17); 
            end
        ),
        xact(
            'v_fab7dbf7_e99d_44d0_80dc_a1ddc04088db',
            function(s) 
                --Украсть еду с кухни
                nlbwalk(s, v_16); 
            end
        ),

    },
};

-- 1.4. Зоопарк
v_21 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Вы мчались и мчались дальше по ночным улицам, за каждым углом вам мерещились вооружённые люди, а свист ветра в ушах казался свистом пуль.^"..
"^"..
"Домов на улице стало меньше. Похоже, это уже окраина города. Вы точно помнили, что где-то рядом был зоопарк, а в нём волчий вольер. В текущем положении люди представляли для вас гораздо большую опасность, чем волки, и в голове мелькнула безумная мысль, что вы сможете затеряться среди волчьей стаи и скрыться от погони. По крайней мере, дожить до утра. Что будет потом, вы старались не думать.^"..
"^"..
"Перепрыгнуть через забор волчьего вольера было просто, гораздо проще, чем через бетонную стену. Поджав хвосты, волки сбились в кучу, скалясь и внимательно глядя на вас. Похоже, они чувствовали, что с вами лучше не связываться, но видя, что вы не собираетесь на них нападать, понемногу успокоились и вернулись к своим обычным делам.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (_wolfiness > 0)) and "{v_99728ff5_bda0_47a1_9eec_886f276efee6|Далее}^" or ""));
        p((((_wolfiness ~= nil) and (_wolfiness <= 0)) and "{v_d2e40de8_538d_44bc_a807_f5ffc53c7681|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_21_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/smiling_cynic_-_beat_me.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_99728ff5_bda0_47a1_9eec_886f276efee6',
            function(s) 
                --Далее
                nlbwalk(s, v_59); 
            end
        ),
        xact(
            'v_d2e40de8_538d_44bc_a807_f5ffc53c7681',
            function(s) 
                --Далее
                nlbwalk(s, v_3); 
            end
        ),

    },
};

-- Лес
v_22 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
    end,
    xdsc = function(s)
        p "^";
    end,
    autos = function(s)
        revive();
        if ((_forestExit)) then                 nlbwalk(s, v_36); 
        return false;
 end;
        if (( not _forestExit)) then                 nlbwalk(s, v_23); 
        return false;
 end;
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_22_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/cloudjumper_-_cloudjumper_-_a_full_mind.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
};

-- 
v_23 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
    end,
    xdsc = function(s)
        p "^";
        p(((( not _forestExit)) and "{v_93a2e5c6_177f_4c0d_8437_a6691403960b|Налево}^" or ""));
        p(((( not _forestExit)) and "{v_8c641e8f_9d6b_4d0d_8551_1092f4fe3808|Направо}^" or ""));
    end,
    autos = function(s)
        revive();
        if (true) then                 nlbwalk(s, v_24); 
        return false;
 end;
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_23_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_93a2e5c6_177f_4c0d_8437_a6691403960b',
            function(s) 
                --Налево
                nlbwalk(s, v_30); 
            end
        ),
        xact(
            'v_8c641e8f_9d6b_4d0d_8551_1092f4fe3808',
            function(s) 
                --Направо
                nlbwalk(s, v_32); 
            end
        ),

    },
};

-- 15.
v_24 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Чтобы сократить путь, вы решили свернуть в лес. Вскоре вы заметили две тропинки. Бежать по дорожке было бы удобнее, но какую выбрать?");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (_wolfiness > 1)) and "{v_0ab9a14a_77a8_4e70_bd8a_a8aed3d0b51d|Далее}^" or ""));
        p((((_wolfiness ~= nil) and (_wolfiness <= 1)) and "{v_98925442_a5d3_42df_8af0_61cbf4d132e6|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_24_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/cloudjumper_-_cloudjumper_-_a_full_mind.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_0ab9a14a_77a8_4e70_bd8a_a8aed3d0b51d',
            function(s) 
                --Далее
                nlbwalk(s, v_25); 
            end
        ),
        xact(
            'v_98925442_a5d3_42df_8af0_61cbf4d132e6',
            function(s) 
                --Далее
                nlbwalk(s, v_26); 
            end
        ),

    },
};

-- 16. Запах так и манил направо
v_25 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Вы принюхались. Какой-то новый, но очень знакомый запах так и манил вас направо.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_3792ac23_4da9_4539_a393_95780a98771a_67573c54_0976_4a54_a3c9_f70696f5feae_Return|Налево}^");
        p("{v_3792ac23_4da9_4539_a393_95780a98771a_f293bb53_86f5_4600_ac29_3b60e8da760e_Return|Направо}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_25_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_3792ac23_4da9_4539_a393_95780a98771a_67573c54_0976_4a54_a3c9_f70696f5feae_Return',
            function(s) 
                --Налево
                nlbwalk(s, v_30); 
            end
        ),
        xact(
            'v_3792ac23_4da9_4539_a393_95780a98771a_f293bb53_86f5_4600_ac29_3b60e8da760e_Return',
            function(s) 
                --Направо
                nlbwalk(s, v_32); 
            end
        ),

    },
};

-- 17.
v_26 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Вы принюхались. В воздухе чувствовалась масса разнообразных запахов.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_58180cad_f8db_42f7_a04a_994e1c56f991_67573c54_0976_4a54_a3c9_f70696f5feae_Return|Налево}^");
        p("{v_58180cad_f8db_42f7_a04a_994e1c56f991_f293bb53_86f5_4600_ac29_3b60e8da760e_Return|Направо}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_26_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_58180cad_f8db_42f7_a04a_994e1c56f991_67573c54_0976_4a54_a3c9_f70696f5feae_Return',
            function(s) 
                --Налево
                nlbwalk(s, v_30); 
            end
        ),
        xact(
            'v_58180cad_f8db_42f7_a04a_994e1c56f991_f293bb53_86f5_4600_ac29_3b60e8da760e_Return',
            function(s) 
                --Направо
                nlbwalk(s, v_32); 
            end
        ),

    },
};

-- 22.
v_27 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Ваше животное чутьё подсказывало, что дом врага уже совсем близко. Вы ускорили бег.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_86893ac1_6506_4fdd_bbfc_8008d6ad6b31_5ce20904_0ac9_422b_b8c6_ad6dbc89d981_Return|Далее}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_27_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_forestExit = true;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/smiling_cynic_-_beat_me.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_86893ac1_6506_4fdd_bbfc_8008d6ad6b31_5ce20904_0ac9_422b_b8c6_ad6dbc89d981_Return',
            function(s) 
                --Далее
                nlbwalk(s, v_22); 
            end
        ),

    },
};

-- 19. Тут путник
v_28 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Вы выбрали левый поворот. Вдруг, вы услышали лёгкое шуршание. Кто-то двигался вам навстречу. Затаившись в кустах, вы увидели запоздалого путника. Он двигался по дорожке, испуганно озираясь.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _forestExit)) and "{v_012bbd53_638b_4d2b_8021_95c1b0e5e1eb|Съесть путника}^" or ""));
        p(((( not _forestExit)) and "{v_adf150b2_c8de_4dda_95ac_3ab56f281157|Не есть путника}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_28_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_012bbd53_638b_4d2b_8021_95c1b0e5e1eb',
            function(s) 
                --Съесть путника
                nlbwalk(s, v_31); 
            end
        ),
        xact(
            'v_adf150b2_c8de_4dda_95ac_3ab56f281157',
            function(s) 
                --Не есть путника
                nlbwalk(s, v_29); 
            end
        ),

    },
};

-- 21.  +1ч
v_29 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Вам некогда было с ним возиться, поэтому, как только он прошёл, вы побежали дальше.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _forestExit)) and "{v_519d5725_52fa_4360_b454_286d4ad8c526|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_29_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/smiling_cynic_-_beat_me.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_519d5725_52fa_4360_b454_286d4ad8c526',
            function(s) 
                --Далее
                nlbwalk(s, v_27); 
            end
        ),

    },
};

-- 18.
v_30 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Вы повернули налево. Пробежав некоторое расстояние, вы снова оказались на развилке.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _forestExit)) and "{v_97edec47_7e41_4e6d_886a_e3c29ddaaca4|Налево}^" or ""));
        p(((( not _forestExit)) and "{v_2fd1636c_29c5_42dc_bf75_bac572830904|Направо}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_30_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_97edec47_7e41_4e6d_886a_e3c29ddaaca4',
            function(s) 
                --Налево
                nlbwalk(s, v_28); 
            end
        ),
        xact(
            'v_2fd1636c_29c5_42dc_bf75_bac572830904',
            function(s) 
                --Направо
                nlbwalk(s, v_27); 
            end
        ),

    },
};

-- 20.  +1в
v_31 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Зверского аппетита вы не чувствовали, но упустить лёгкую добычу было бы глупо. Когда человек поравнялся с вашим укрытием, вы, молнией кинулись на него. Похоже, жертва даже не успела понять что происходит, как вы уже перегрызли ей горло.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _forestExit)) and "{v_0dc1918b_4190_4d6d_b053_51444ec00a63|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_31_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_wolfiness = _wolfiness + 1;
_hp = _hp + 1;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_0dc1918b_4190_4d6d_b053_51444ec00a63',
            function(s) 
                --Далее
                nlbwalk(s, v_27); 
            end
        ),

    },
};

-- Тут волки!
v_32 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
    end,
    xdsc = function(s)
        p "^";
        p(((( not _forestExit)) and "{v_cc1a2ff4_84e8_4357_bbce_5dd14271a658|Налево}^" or ""));
        p(((( not _forestExit)) and "{v_b9cfbc2f_51dd_4e99_8a84_190ef08eb1c0|Направо}^" or ""));
    end,
    autos = function(s)
        revive();
        if (true) then                 nlbwalk(s, v_33); 
        return false;
 end;
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_32_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_cc1a2ff4_84e8_4357_bbce_5dd14271a658',
            function(s) 
                --Налево
                nlbwalk(s, v_28); 
            end
        ),
        xact(
            'v_b9cfbc2f_51dd_4e99_8a84_190ef08eb1c0',
            function(s) 
                --Направо
                nlbwalk(s, v_27); 
            end
        ),

    },
};

-- 23.
v_33 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Вы повернули направо. Казалось, лес стал гуще.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (_wolfiness > 1)) and "{v_92a30ce3_11ff_4f69_9cbc_99379ea94a87|Далее}^" or ""));
        p((((_wolfiness ~= nil) and (_wolfiness <= 1)) and "{v_8f110f38_809f_4cfa_85eb_03aa2d61e527|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_33_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/cloudjumper_-_cloudjumper_-_a_full_mind.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_92a30ce3_11ff_4f69_9cbc_99379ea94a87',
            function(s) 
                --Далее
                nlbwalk(s, v_34); 
            end
        ),
        xact(
            'v_8f110f38_809f_4cfa_85eb_03aa2d61e527',
            function(s) 
                --Далее
                nlbwalk(s, v_35); 
            end
        ),

    },
};

-- 24.
v_34 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Привлекший вас запах усилился. В кустах то и дело раздавались какие-то шорохи. Вы остановились, словно чего-то ожидая. На тропинку, прямо перед вами, не спеша вышел волк. Точнее, волчица.^"..
"– Кто ты? – автоматически спросили вы.^"..
"– Волколак, как и ты, – ответила она. – После превращения, я спряталась здесь. Теперь мы живём тут все вместе.^"..
"– Вас много?! – удивились вы.^"..
"– Нет, всего пятеро. Оставайся и ты с нами, – предложила она.^"..
"Это звучало очень заманчиво. Но вы хотели понять, за что вас заколдовали и отомстить.^"..
"– Мне нужно закончить одно дело, – сказали вы. – Но, возможно, я ещё вернусь.^"..
"С этими словами, вы побежали прочь. Вскоре, вы оказались на развилке.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_4d0291af_49a6_42ab_ae94_4e039cb15072_f87e0749_c4b3_4a3f_878b_47964d1994ab_Return|Налево}^");
        p("{v_4d0291af_49a6_42ab_ae94_4e039cb15072_86893ac1_6506_4fdd_bbfc_8008d6ad6b31_Return|Направо}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_34_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_wolvesTalk = true;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_4d0291af_49a6_42ab_ae94_4e039cb15072_f87e0749_c4b3_4a3f_878b_47964d1994ab_Return',
            function(s) 
                --Налево
                nlbwalk(s, v_28); 
            end
        ),
        xact(
            'v_4d0291af_49a6_42ab_ae94_4e039cb15072_86893ac1_6506_4fdd_bbfc_8008d6ad6b31_Return',
            function(s) 
                --Направо
                nlbwalk(s, v_27); 
            end
        ),

    },
};

-- 25.
v_35 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("В кустах то и дело раздавались какие-то шорохи. Вам стало казаться, будто за вами следят. Но вы продолжали упрямо двигаться к своей цели, стараясь ни на что не обращать внимания. Вскоре, вы оказались на развилке.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_a27840f3_04f2_4156_8854_1abf0061e0c9_f87e0749_c4b3_4a3f_878b_47964d1994ab_Return|Налево}^");
        p("{v_a27840f3_04f2_4156_8854_1abf0061e0c9_86893ac1_6506_4fdd_bbfc_8008d6ad6b31_Return|Направо}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_35_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_a27840f3_04f2_4156_8854_1abf0061e0c9_f87e0749_c4b3_4a3f_878b_47964d1994ab_Return',
            function(s) 
                --Налево
                nlbwalk(s, v_28); 
            end
        ),
        xact(
            'v_a27840f3_04f2_4156_8854_1abf0061e0c9_86893ac1_6506_4fdd_bbfc_8008d6ad6b31_Return',
            function(s) 
                --Направо
                nlbwalk(s, v_27); 
            end
        ),

    },
};

-- Волк-охранник
v_36 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
    end,
    xdsc = function(s)
        p "^";
    end,
    autos = function(s)
        revive();
        if ((_guardDone)) then                 nlbwalk(s, v_51); 
        return false;
 end;
        if (( not _guardDone)) then                 nlbwalk(s, v_37); 
        return false;
 end;
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_36_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
};

-- 1.7
v_37 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Наконец, вы приблизились к дому своего врага. Вы узнали приземистый, но большой особняк с заброшенным садом, плавно переходящим в лес, из которого вы пришли. Чугунная ограда вокруг особняка была густо увита растениями, а лесные деревья подступали к ней вплотную.^"..
"^"..
"Вы медленно стали подбираться ко входу в здание.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (( not _guardDone) and (_wolfiness > 1))) and "{v_8c4fc707_979b_4a9d_8c85_ab71dccdc67d|Далее}^" or ""));
        p((((_wolfiness ~= nil) and (( not _guardDone) and (_wolfiness <= 1))) and "{v_8a389e1a_ec93_4f5b_97af_f3b76bf2269a|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_37_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_8c4fc707_979b_4a9d_8c85_ab71dccdc67d',
            function(s) 
                --Далее
                nlbwalk(s, v_40); 
            end
        ),
        xact(
            'v_8a389e1a_ec93_4f5b_97af_f3b76bf2269a',
            function(s) 
                --Далее
                nlbwalk(s, v_43); 
            end
        ),

    },
};

-- 33. Драка, победа, -1 жизнь
v_38 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Соорудив примитивное оружие, вы вернулись к особняку. Вас встретил мускулистый лохматый мужчина. По выражению его лица вы поняли, что он по-прежнему не собирается вас пропускать. Оборотень кинулся на вас. Вы резко выбросили из-за спины руку с зажатым в ней колом. Охранник, не успев остановиться, налетел грудью прямо на острую палку.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _guardDone)) and "{v_84219c54_85b6_4365_aec5_6233ecc563d2|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_38_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_hp = _hp - 1;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_84219c54_85b6_4365_aec5_6233ecc563d2',
            function(s) 
                --Далее
                nlbwalk(s, v_42); 
            end
        ),

    },
};

-- 28. Драка
v_39 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("– Ты пропустишь меня? – осторожно спросили вы.^"..
"– Да, – твёрдо сказал он. – Но тебе придётся драться со мной.^"..
"Не сразу поняв смысл его противоречивых слов, вы кинулись на противника. Он не оказал сопротивления и вы за пару секунд перегрызли ему горло.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _guardDone)) and "{v_e5d3f8a2_3df3_4a97_996f_420691a64f2a|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_39_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_e5d3f8a2_3df3_4a97_996f_420691a64f2a',
            function(s) 
                --Далее
                nlbwalk(s, v_42); 
            end
        ),

    },
};

-- 26.
v_40 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Внезапно раздалось рычание, и перед вами возник волк с оскаленной мордой. Это был огромный зверь, крупнее вас. Вы приготовились к драке, но монстр не спешил нападать. Шумно втянув носом воздух, он заговорил с вами:^"..
"– Кто ты? Откуда здесь взялся?^"..
"– Хозяин этого дома сделал меня оборотнем. Я пришёл, чтобы разделаться с ним, – честно ответили вы.^"..
"– Ты тоже надевал волчью шкуру? – уже мягче спросил зверь.^"..
"– Да.^"..
"– Меня он превратил тем же способом. Теперь я у него что-то вроде сторожевого пса, – с тоской сообщил оборотень. – Человеком мне уже не стать. А у тебя ещё есть шанс?^"..
"– Не знаю. Но очень надеюсь.");
    end,
    xdsc = function(s)
        p "^";
        p((((( not _guardDone) and (_wolvesTalk))) and "{v_0aeea7ac_f655_42e6_8dac_d4027df8086e|Далее}^" or ""));
        p((((( not _guardDone) and ( not _wolvesTalk))) and "{v_2c710565_d9b7_4439_a29e_4d6a702994ab|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_40_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_0aeea7ac_f655_42e6_8dac_d4027df8086e',
            function(s) 
                --Далее
                nlbwalk(s, v_41); 
            end
        ),
        xact(
            'v_2c710565_d9b7_4439_a29e_4d6a702994ab',
            function(s) 
                --Далее
                nlbwalk(s, v_39); 
            end
        ),

    },
};

-- 27. Волк убежал
v_41 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Вспомнив недавнюю встречу вы воскликнули:^"..
"– А почему ты не убежишь в лес?^"..
"– Скитаться в одиночестве? Нет.^"..
"– Ты можешь жить в стае волков, которых я только что видел, – предложили вы.^"..
"– Здесь есть другие оборотни?! – удивился охранник.^"..
"– Да!^"..
"Вы рассказали коллеге по несчастью где найти оборотней и он тут же убежал в лес.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _guardDone)) and "{v_8a67a8b2_77a9_4244_8b89_51c046a3f6c7|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_41_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_8a67a8b2_77a9_4244_8b89_51c046a3f6c7',
            function(s) 
                --Далее
                nlbwalk(s, v_42); 
            end
        ),

    },
};

-- 35.
v_42 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Путь был свободен.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_d6b53c8e_e4ae_492c_8489_89a67cf8d41e_b45ff8f3_4052_467e_bffa_4a420b67a7b3_Return|Далее}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_42_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_guardDone = true;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_d6b53c8e_e4ae_492c_8489_89a67cf8d41e_b45ff8f3_4052_467e_bffa_4a420b67a7b3_Return',
            function(s) 
                --Далее
                nlbwalk(s, v_36); 
            end
        ),

    },
};

-- 1.8 Вырвался и убежал
v_43 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Внезапно раздалось рычание, и перед вами возник волк с оскаленной мордой. Это был огромный зверь, крупнее вас. Как заворожённый, вы смотрели ему в глаза. Это было поистине жуткое зрелище: человеческие глаза на звериной морде с оскаленной пастью.^"..
"^"..
"Зверь бросился вперёд, а вы кинулись ему навстречу. Хищник ловко парировал атаки, и вскоре стало понятно, что он сильнее и опытнее. Если бы битва продолжалась, навряд ли удалось бы выбраться отсюда живым, не говоря уже о том, чтобы одержать победу.^"..
"^"..
"Улучив момент, вы нырнули в ближайшие кусты и бросились прочь. Кажется, противник не стал вас преследовать. По крайней мере, когда вы обернулись, сзади уже никого не было.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _guardDone)) and "{v_096f8bc5_e7af_4847_aa0c_843de8967a5d|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_43_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/lukhash_-_failure__lukhash.com_.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_096f8bc5_e7af_4847_aa0c_843de8967a5d',
            function(s) 
                --Далее
                nlbwalk(s, v_45); 
            end
        ),

    },
};

-- 32. Вы взяли калину
v_44 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Ваш взгляд упал на растущую неподалёку калину.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _guardDone)) and "{v_ac722891_f521_4a40_8f60_67eeb05f283f|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_44_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_ac722891_f521_4a40_8f60_67eeb05f283f',
            function(s) 
                --Далее
                nlbwalk(s, v_50); 
            end
        ),

    },
};

-- 
v_45 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (( not _guardDone) and (_wolfiness >= 1))) and "{v_c92edec5_e799_4393_bb58_bac32756f883|Выбрать рябину}^" or ""));
        p(((( not _guardDone)) and "{v_3552ac04_1e42_4cfb_bfef_9d7777d3b6b9|Выбрать боярышник}^" or ""));
        p((((_wolfiness ~= nil) and (( not _guardDone) and (_wolfiness >= 1))) and "{v_57bfa54c_a18e_4322_b9ad_2eb6559c4298|Выбрать калину}^" or ""));
    end,
    autos = function(s)
        revive();
        if (true) then                 nlbwalk(s, v_46); 
        return false;
 end;
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_45_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_c92edec5_e799_4393_bb58_bac32756f883',
            function(s) 
                --Выбрать рябину
                nlbwalk(s, v_49); 
            end
        ),
        xact(
            'v_3552ac04_1e42_4cfb_bfef_9d7777d3b6b9',
            function(s) 
                --Выбрать боярышник
                nlbwalk(s, v_38); 
            end
        ),
        xact(
            'v_57bfa54c_a18e_4322_b9ad_2eb6559c4298',
            function(s) 
                --Выбрать калину
                nlbwalk(s, v_44); 
            end
        ),

    },
};

-- 1.9
v_46 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Дрожа, вы улеглись под кустом, зализывая раны. Вскоре забрезжил рассвет, и вы приготовились к очередной болезненной трансформации...^"..
"^"..
"Вы снова стали человеком, и вид у вас был неважный. Раны, нанесённые охранником вашего врага, болели и кровоточили.^"..
"«Нужно как-то победить это чудовище»,-- подумали вы.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (_wolfiness >= 1)) and "{v_9d3c5397_4216_4f0c_a4c0_9235ef4436dc|Далее}^" or ""));
        p((((_wolfiness ~= nil) and (_wolfiness < 1)) and "{v_54d5d3a8_8101_4bd8_8080_6179d71925e5|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_46_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_9d3c5397_4216_4f0c_a4c0_9235ef4436dc',
            function(s) 
                --Далее
                nlbwalk(s, v_47); 
            end
        ),
        xact(
            'v_54d5d3a8_8101_4bd8_8080_6179d71925e5',
            function(s) 
                --Далее
                nlbwalk(s, v_48); 
            end
        ),

    },
};

-- 29.
v_47 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("В мозгу всплыли смутные воспоминания о каком-то дереве с ягодами, заострённая ветка которого должна помочь одолеть волколака. Но какое именно дерево упоминалось, вы не помнили.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (_wolfiness >= 1)) and "{v_e307ea1f_9d44_45f0_aa58_15607482293b_b8eecad7_8e40_4397_87de_e794189f7bf5_Return|Выбрать рябину}^" or ""));
        p("{v_e307ea1f_9d44_45f0_aa58_15607482293b_bc738a80_9890_4416_bead_3bbc8f533412_Return|Выбрать боярышник}^");
        p((((_wolfiness ~= nil) and (_wolfiness >= 1)) and "{v_e307ea1f_9d44_45f0_aa58_15607482293b_7e4ded08_354b_4c76_b876_2e8ac335fdad_Return|Выбрать калину}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_47_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_e307ea1f_9d44_45f0_aa58_15607482293b_b8eecad7_8e40_4397_87de_e794189f7bf5_Return',
            function(s) 
                --Выбрать рябину
                nlbwalk(s, v_49); 
            end
        ),
        xact(
            'v_e307ea1f_9d44_45f0_aa58_15607482293b_bc738a80_9890_4416_bead_3bbc8f533412_Return',
            function(s) 
                --Выбрать боярышник
                nlbwalk(s, v_38); 
            end
        ),
        xact(
            'v_e307ea1f_9d44_45f0_aa58_15607482293b_7e4ded08_354b_4c76_b876_2e8ac335fdad_Return',
            function(s) 
                --Выбрать калину
                nlbwalk(s, v_44); 
            end
        ),

    },
};

-- 30.
v_48 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("В этот момент, вы вспомнили, что кол из боярышника мог помочь в уничтожении волколака.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (_wolfiness >= 1)) and "{v_e0d11a50_50d2_4521_be11_10267f8aab92_b8eecad7_8e40_4397_87de_e794189f7bf5_Return|Выбрать рябину}^" or ""));
        p("{v_e0d11a50_50d2_4521_be11_10267f8aab92_bc738a80_9890_4416_bead_3bbc8f533412_Return|Выбрать боярышник}^");
        p((((_wolfiness ~= nil) and (_wolfiness >= 1)) and "{v_e0d11a50_50d2_4521_be11_10267f8aab92_7e4ded08_354b_4c76_b876_2e8ac335fdad_Return|Выбрать калину}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_48_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_e0d11a50_50d2_4521_be11_10267f8aab92_b8eecad7_8e40_4397_87de_e794189f7bf5_Return',
            function(s) 
                --Выбрать рябину
                nlbwalk(s, v_49); 
            end
        ),
        xact(
            'v_e0d11a50_50d2_4521_be11_10267f8aab92_bc738a80_9890_4416_bead_3bbc8f533412_Return',
            function(s) 
                --Выбрать боярышник
                nlbwalk(s, v_38); 
            end
        ),
        xact(
            'v_e0d11a50_50d2_4521_be11_10267f8aab92_7e4ded08_354b_4c76_b876_2e8ac335fdad_Return',
            function(s) 
                --Выбрать калину
                nlbwalk(s, v_44); 
            end
        ),

    },
};

-- 31. Вы взяли рябину
v_49 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("На глаза вам попалась раскидистая рябина.");
    end,
    xdsc = function(s)
        p "^";
        p(((( not _guardDone)) and "{v_6b91ac1c_6d81_401f_9653_e2b7d34c4a61|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_49_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_6b91ac1c_6d81_401f_9653_e2b7d34c4a61',
            function(s) 
                --Далее
                nlbwalk(s, v_50); 
            end
        ),

    },
};

-- 34. Драка, конец
v_50 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("На ней вы и остановили свой выбор. Вам удалось сломать толстую ветку под острым углом. !Соорудив примитивное оружие, вы вернулись к особняку. Вас встретил мускулистый лохматый мужчина. По выражению его лица вы поняли, что он по-прежнему не собирается вас пропускать. Оборотень кинулся на вас. Вы резко выбросили из-за спины руку с зажатым в ней колом. Охранник, не успев остановиться, налетел грудью прямо на острую палку. Он заревел от боли и бросился на вас. Из его смертельных объятий вам уже не суждено было выбраться.");
    end,
    xdsc = function(s)
        p "^";
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_50_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/lukhash_-_failure__lukhash.com_.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
};

-- Злодей
v_51 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
    end,
    xdsc = function(s)
        p "^";
        p("{v_b9a796f0_799c_4d1d_83c4_0d8f3af0645f|КОНЕЦ. Попробовать ещё раз?}^");
    end,
    autos = function(s)
        revive();
        if (true) then                 nlbwalk(s, v_52); 
        return false;
 end;
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_51_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_b9a796f0_799c_4d1d_83c4_0d8f3af0645f',
            function(s) 
                --КОНЕЦ. Попробовать ещё раз?
                nlbwalk(s, v_7); 
            end
        ),

    },
};

-- 36. Препятствия больше не было, и вы проникли в дом
v_52 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Других препятствий вы не встретили. С замиранием сердца, вы проникли в дом.");
    end,
    xdsc = function(s)
        p "^";
        p((((_wolfiness ~= nil) and (_wolfiness == 3)) and "{v_fee69761_91f3_4060_85dc_17ecc73cf524|Далее}^" or ""));
        p((((_wolfiness ~= nil) and (_wolfiness == 2)) and "{v_aa535c0e_be02_476d_99ab_0fb3814216a6|Далее}^" or ""));
        p((((_wolfiness ~= nil) and (_wolfiness == 1)) and "{v_58c88025_34cb_47f4_9d4e_286a46e6a9d8|Далее}^" or ""));
        p((((_wolfiness ~= nil) and (_wolfiness < 1)) and "{v_fe87465e_80fd_415c_8d4f_33f6c0562504|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_52_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_fee69761_91f3_4060_85dc_17ecc73cf524',
            function(s) 
                --Далее
                nlbwalk(s, v_58); 
            end
        ),
        xact(
            'v_aa535c0e_be02_476d_99ab_0fb3814216a6',
            function(s) 
                --Далее
                nlbwalk(s, v_53); 
            end
        ),
        xact(
            'v_58c88025_34cb_47f4_9d4e_286a46e6a9d8',
            function(s) 
                --Далее
                nlbwalk(s, v_56); 
            end
        ),
        xact(
            'v_fe87465e_80fd_415c_8d4f_33f6c0562504',
            function(s) 
                --Далее
                nlbwalk(s, v_54); 
            end
        ),

    },
};

-- 38. Здесь волк. Кусает врага и убегает, т.к. захотел остаться волком.
v_53 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Здесь повсюду чувствовался запах врага. Ваш чуткий животный слух уловил какие-то звуки, доносившиеся из комнаты на втором этаже. Бесшумно взлетев по лестнице, вы заглянули в приоткрытую дверь. Это был он. Виновник ваших злоключений. Вы мгновенно почувствовали прилив ярости. Вам захотелось убить его. Неожиданно, из открытого окна донёсся запах леса. Вы вспомнили то ощущение свободы и силы, которое познали за эти дни в образе волка. Вы поняли, что не хотите полностью становиться человеком. Но вам всё же хотелось отомстить. Вы ворвались в комнату. Насладившись видом пришедшего в ужас врага, вы повалили его на пол. Прокусив руку противника, вы убежали в лес. Пусть на своей шкуре испытает то, что вы пережили по его вине. Это было справедливо.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_c195f996_3411_4120_a03d_1cbc25d871c7_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return|КОНЕЦ. Попробовать ещё раз?}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_53_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/cloudjumper_-_cloudjumper_-_a_full_mind.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_c195f996_3411_4120_a03d_1cbc25d871c7_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return',
            function(s) 
                --КОНЕЦ. Попробовать ещё раз?
                nlbwalk(s, v_7); 
            end
        ),

    },
};

-- 40. Здесь человек. Разговаривает с врагом, узнаёт, за что он его превратил. Просит расколдовать.
v_54 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Было темно. Только на втором этаже в одной из комнат горел свет. Вы неслышно приблизились к двери. Она оказалась не заперта. Вы решительно вошли в комнату.^"..
"– О, не ожидал тебя здесь увидеть, – сказал наглец, – не думал, что ты догадаешься.^"..
"– За что ты заколдовал меня? – сурово спросили вы.^"..
"– Если честно, ни за что. Просто узнал новое интересное заклинание, надо было его на ком-то испробовать. А тут ты, сам напялил волчью шкуру. Как не воспользоваться моментом!^"..
"Вас поразила бессердечность этого человека и бессмысленность происходящего.^"..
"– Расколдуй меня, – наконец сказали вы.^"..
"– Нет, – безразличным голосом произнёс он.^"..
"Вас словно стегнули кнутом.");
    end,
    xdsc = function(s)
        p "^";
        p((((_hp ~= nil) and (_hp > 1)) and "{v_5cd09acb_872e_42d2_bdcf_2e0dff9c05d1|Далее}^" or ""));
        p((((_hp ~= nil) and (_hp <= 1)) and "{v_4af3e3a9_2715_42db_a544_4a2be9673d74|Далее}^" or ""));
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_54_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_5cd09acb_872e_42d2_bdcf_2e0dff9c05d1',
            function(s) 
                --Далее
                nlbwalk(s, v_57); 
            end
        ),
        xact(
            'v_4af3e3a9_2715_42db_a544_4a2be9673d74',
            function(s) 
                --Далее
                nlbwalk(s, v_55); 
            end
        ),

    },
};

-- 41. Т.к. ГГ слаб, злодей нападает на него. ГГ убивает его в драке.
v_55 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Вы бросились на врага и, сдавив ему горло, пригрозили:^"..
"– Если не снимешь это чёртово заклятье, я убью тебя!^"..
"Поначалу, злодей пытался разжать ваши руки, а потом ударил в раненый бок. Вы согнулись от боли. А негодяй пнул вас по больной ноге. Вы упали на пол. На ковре валялись какие-то вещи. Среди них вы заметили нож для бумаг. Сделав вид, что пытаетесь выползти из комнаты, вы незаметно взяли его. Негодяй преградил вам путь и, наклонившись к самому лицу, произнёс:^"..
"– Это я убью тебя!^"..
"В этот момент, вы вонзили в него нож. Одержав победу, раненый и усталый, вы покинули страшный дом.^"..
"С трепетом вы ожидали ночи. Но ваши страхи оказались напрасны. В волка вы больше не превращались.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_eaa4f345_6237_416d_9764_f6f503028864_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return|КОНЕЦ. Попробовать ещё раз?}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_55_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/lukhash_-_failure__lukhash.com_.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_eaa4f345_6237_416d_9764_f6f503028864_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return',
            function(s) 
                --КОНЕЦ. Попробовать ещё раз?
                nlbwalk(s, v_7); 
            end
        ),

    },
};

-- 39. Здесь человек. Спросил, за что превратил, просит расколдовать, тот отказывается.
v_56 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Было темно. Только на втором этаже в одной из комнат горел свет. Вы неслышно приблизились к двери. Она оказалась не заперта. Вы решительно вошли в комнату.^"..
"– О, не ожидал тебя здесь увидеть, – сказал наглец, – не думал, что ты догадаешься.^"..
"– За что ты заколдовал меня? – сурово спросили вы.^"..
"– Если честно, ни за что. Просто узнал новое интересное заклинание, надо было его на ком-то испробовать. А тут ты, сам напялил волчью шкуру. Как не воспользоваться моментом!^"..
"Вас поразила бессердечность этого человека и бессмысленность происходящего.^"..
"– Расколдуй меня, – наконец сказали вы.^"..
"– Нет, – безразличным голосом произнёс он.^"..
"Вас словно стегнули кнутом. Резко бросившись на врага, вы прокусили ему руку.^"..
"– Что ты наделал?! – отчаянно воскликнул он.^"..
"– Расколдуй меня, – повторили вы, – тогда и ты исцелишься.^"..
"Трясущимися руками он открыл старую книгу, и отыскав нужное заклинание, быстро прочитал его. Презрительно взглянув на жалкого человечишку, вы удалились. Ваша жизнь вернулась в прежнее русло, а те несколько дней в шкуре волка вы постарались забыть как страшный сон.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_8a8ee4b3_7744_4fe5_a3e0_6a5a5eb91f82_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return|КОНЕЦ. Попробовать ещё раз?}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_56_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_8a8ee4b3_7744_4fe5_a3e0_6a5a5eb91f82_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return',
            function(s) 
                --КОНЕЦ. Попробовать ещё раз?
                nlbwalk(s, v_7); 
            end
        ),

    },
};

-- 42.  и что-то ещё
v_57 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Вы бросились на врага и, сдавив ему горло, пригрозили:^"..
"– Если не снимешь это чёртово заклятье, я убью тебя!^"..
"Негодяй беспомощно барахтался, выпучив глаза. Его лицо уже начало синеть, когда вы ослабили хватку.^"..
"– Согласен, – прохрипел он.^"..
"Вы отпустили его. Трясущимися руками он открыл старую книгу, и отыскав нужное заклинание, быстро прочитал его. Презрительно взглянув на жалкого человечишку, вы удалились.^"..
"Добравшись до города, вы сразу позвонили в полицию, заявив, что знаете адрес человека, бегавшего по городу в облике волка. Вы знали, что охота на этих животных запрещена, а в его доме хранилось несколько, добытых им лично, волчьих шкур.^"..
"Вскоре, ваша жизнь вернулась в прежнее русло, а те несколько дней в шкуре волка вы постарались забыть как страшный сон.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_c81126f6_4646_42b3_af03_aae3d6a9a0c2_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return|КОНЕЦ. Попробовать ещё раз?}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_57_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_c81126f6_4646_42b3_af03_aae3d6a9a0c2_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return',
            function(s) 
                --КОНЕЦ. Попробовать ещё раз?
                nlbwalk(s, v_7); 
            end
        ),

    },
};

-- 37. Здесь волк. Убил врага, но человеком не стал
v_58 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Здесь повсюду чувствовался запах врага. Ваш чуткий животный слух уловил какие-то звуки, доносившиеся из комнаты на втором этаже. Бесшумно взлетев по лестнице, вы заглянули в приоткрытую дверь. Это был он! Виновник ваших злоключений. Вы мгновенно ощутили прилив ярости. Глаза налились кровью и будто покрылись пеленой. Не в силах сдерживаться, вы, с громким рычанием ворвались в комнату. Насладившись видом пришедшего в ужас врага, вы повалили его на пол. Он ещё успел издать душераздирающий вопль, прежде чем вы перегрызли ему горло.^"..
"Дождавшись утра, вы нашли в доме штаны, рубашку, ботинки и, одевшись отправились домой. К сожалению, на следующую ночь вы вновь превратились в волка.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_61f37b28_518b_4025_8913_5c278ba14bdb_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return|КОНЕЦ. Попробовать ещё раз?}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_58_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/lukhash_-_failure__lukhash.com_.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_61f37b28_518b_4025_8913_5c278ba14bdb_f12432d9_dd8f_40fc_97bd_f9a15cc21ff6_Return',
            function(s) 
                --КОНЕЦ. Попробовать ещё раз?
                nlbwalk(s, v_7); 
            end
        ),

    },
};

-- 1.5 Теряет одну жизнь (подстрелили)
v_59 = room {
    nam = "...",
    bgimg = function(s)
    end,
    pic = function(s)
    end,
    var { time = 0; wastext = false; lasttext = nil; tag = ''; autowired = false; },
    dsc = function(s)
p("Заметив, что волки потеряли к вам интерес и предпочитают не приближаться, вы перестали скалить зубы и поудобнее улеглись в траву.^"..
"^"..
"Через некоторое время на аллее послышались голоса. Лучи фонарей поспешно шарили по дорожкам, траве и вольерам. Через некоторое время к вольеру подошли трое. Кажется, двое из них были полицейскими. С оружием. Вы снова оскалились.^"..
"^"..
"-- Ты уверен, что всё в порядке, старик? -- резко спросил один из полицейских. -- все твои звери на месте?^"..
"Луч фонаря скользнул по вольеру. Вы вжались в землю, дыхание, казалось остановилось. Луч осветил стаю. Скользнул по вам.^"..
"^"..
"-- А ну-ка, вот на этого ещё раз!^"..
"Луч вернулся назад. Вы замерли, мускулы напружинились.^"..
"-- Этот вроде не похож на моих... А что это у него на шее такое? Телефон?^"..
"Вы решили не выяснять, что у вас такое на шее, вместо этого, оттолкнувшись лапами, совершили ещё один головокружительный прыжок, перемахнули через ограду и помчались вниз по аллее прочь. Полицейские явно не обладали вашими рефлексами и поначалу замерли, как вкопанные, но затем выхватили оружие и начали стрелять вам вслед. Вы вздрогнули и взвизгнули, когда почувствовали, что одна из пуль попала в цель. Стараясь не обращать внимание на боль, вы поспешили убраться подальше. По счастью, других полицейских на своём пути вы не встретили.");
    end,
    xdsc = function(s)
        p "^";
        p("{v_842d3b57_f58a_4115_a922_e3ab485b22a4|Далее}^");
    end,
    autos = function(s)
        revive();
        return true;
    end,
    nextsnd = function(s)
        local sndfile = pop('v_59_snds');
        if sndfile ~= nil then
            s.sndout(s);
            add_sound(sndfile);
        end;
    end,
    enter = function(s, f)
        s.lasttext = nil;
        s.wastext = false;
        if not (f.autowired) then
_hp = _hp - 1;
        end;
        s.snd(s);
        s.bgimg(s);
        s.autos(s);
    end,
    exit = function(s, t)
        s.sndout(s);
        s.wastext = false;
        s.lasttext = nil;
    end,
    snd = function(s) 
            set_music('sound/in_limbo__rock_prog__-_reminiscences.mp3', 0);
        s.nextsnd(s);
    end,
    sndout = function(s) end,
    obj = { 
        xdsc(),
        xact(
            'v_842d3b57_f58a_4115_a922_e3ab485b22a4',
            function(s) 
                --Далее
                nlbwalk(s, v_2); 
            end
        ),

    },
};

